--[[ 	GupPet by Gup 	]]--

-- CONSTANT
GUPPET_INTERFACEVERSION = 0.091;

-- SAVED VARS
GUPPET_INTERFACEOPTIONS = { MainUIFrameRelativePoint = "CENTER", MainUIFramexOfs = 0 ,  MainUIFrameyOfs = 0 , MainUIFrameScale = 1 , MainUIFrameShow = true , MainUIFrameDrag = true};

-- TEMP VARS
GUPPET_INTERFACE = { Init = 0};

function GupPetOptionInterface()
	GupPet_Debug( "GupPetOptionInterface Start" );

-- ############################################# 
-- #############################################  MAIN
-- #############################################	
	if (GUPPET_INTERFACE.Init == 0 ) then

		-- Main scherm
		GUPPET_INTERFACE.MainScherm = CreateFrame( "Frame", "GupPetPanel", UIParent );
		GUPPET_INTERFACE.MainScherm.name = "Gup Pet";
		
		GUPPET_INTERFACE.MainScherm.Titel = CreateFrame("SimpleHTML", "Titel" , GUPPET_INTERFACE.MainScherm );
		GUPPET_INTERFACE.MainScherm.Titel:SetWidth(100); 
		GUPPET_INTERFACE.MainScherm.Titel:SetHeight(15); 
		GUPPET_INTERFACE.MainScherm.Titel:SetPoint("TOPLEFT", 10 , -15);
		GUPPET_INTERFACE.MainScherm.Titel:SetText("|cFFFFDE00 Gup Pet ") ;
		GUPPET_INTERFACE.MainScherm.Titel:SetFont('Fonts\\FRIZQT__.TTF', 15);
		
		GUPPET_INTERFACE.MainScherm.VERSION = CreateFrame("SimpleHTML", "Overall" , GUPPET_INTERFACE.MainScherm );
		GUPPET_INTERFACE.MainScherm.VERSION:SetWidth(400); 
		GUPPET_INTERFACE.MainScherm.VERSION:SetHeight(50); 
		GUPPET_INTERFACE.MainScherm.VERSION:SetPoint("TOPLEFT", 30 , -44) ;
		GUPPET_INTERFACE.MainScherm.VERSION:SetFont('Fonts\\FRIZQT__.TTF', 12); 
	
	end
	
	
		if GUPPET_OPTIONS.NewVersionFound <= GupPet_GetVersion()  then
		
			GUPPET_INTERFACE.MainScherm.VERSION:SetText("<html><body><p>"..
															GUPPET_TEXT_OPTIONUI_MAIN_AUTHOR .."|cffee4400 Gup|r<br /><br />"..
															GUPPET_TEXT_OPTIONUI_MAIN_TOTAL .."|cffee4400"..GupPet_GetVersion()..
															" </p></body></html>"    ) ;
		else
			GUPPET_INTERFACE.MainScherm.VERSION:SetText("<html><body><p>"..
															GUPPET_TEXT_OPTIONUI_MAIN_AUTHOR .."|cffee4400 Gup|r<br /><br />"..
															GUPPET_TEXT_OPTIONUI_MAIN_TOTAL .."|cffee4400"..GupPet_GetVersion().."|r ".. GUPPET_TEXT_OPTIONUI_MAIN_NEWVERSIONFOUND.."|cffee4400".. GUPPET_OPTIONS.NewVersionFound..
															" </p></body></html>"    ) ;
		end
	
	
		
	if (GUPPET_INTERFACE.Init == 0 ) then
		
		 
		 
		 
		 -- slash commands
		GUPPET_INTERFACE.MainScherm.SLASH = CreateFrame("SimpleHTML", "Slash" , GUPPET_INTERFACE.MainScherm );
		GUPPET_INTERFACE.MainScherm.SLASH:SetWidth(300); 
		GUPPET_INTERFACE.MainScherm.SLASH:SetHeight(50); 
		GUPPET_INTERFACE.MainScherm.SLASH:SetPoint("BOTTOMLEFT", 30 , 220);
		GUPPET_INTERFACE.MainScherm.SLASH:SetText("<html><body><p>"..
															GUPPET_TEXT_OPTIONUI_MAIN_SLASH_0.."<br />"..
															"|r/GP "..GUPPET_TEXT_OPTIONUI_MAIN_SLASH_1.."<br />"..
															"|r/GP "..GUPPET_TEXT_OPTIONUI_MAIN_SLASH_2.."<br />"..
															"|r/GP "..GUPPET_TEXT_OPTIONUI_MAIN_SLASH_3.."<br />"..
															"|r/GP "..GUPPET_TEXT_OPTIONUI_MAIN_SLASH_4.."<br />"..
															"|r/GP "..GUPPET_TEXT_OPTIONUI_MAIN_SLASH_5.."<br />"..
															"|r/GP "..GUPPET_TEXT_OPTIONUI_MAIN_SLASH_6.."<br />"..
															" </p></body></html>"    ) ;
		GUPPET_INTERFACE.MainScherm.SLASH:SetFont('Fonts\\FRIZQT__.TTF', 10); 
		 
		 
		 -- For the ingame button(s)
		GUPPET_INTERFACE.MainScherm.ToggleShow = CreateFrame("Button", "knop", GUPPET_INTERFACE.MainScherm , "UIPanelButtonTemplate");
		GUPPET_INTERFACE.MainScherm.ToggleShow:SetScript("OnClick", function ()  GupPetOptionToggleMainUIFrameShow() ; end) ;
		GUPPET_INTERFACE.MainScherm.ToggleShow:SetWidth(120); 
		GUPPET_INTERFACE.MainScherm.ToggleShow:SetHeight(20); 
		GUPPET_INTERFACE.MainScherm.ToggleShow:SetPoint("BOTTOMLEFT",30,100);
		
		if GUPPET_INTERFACEOPTIONS.MainUIFrameShow then
			GUPPET_INTERFACE.MainScherm.ToggleShow:SetText( GUPPET_TEXT_OPTIONUI_MAIN_SETHIDE );
		else
			GUPPET_INTERFACE.MainScherm.ToggleShow:SetText( GUPPET_TEXT_OPTIONUI_MAIN_SETSHOW );
		end	
		
		GUPPET_INTERFACE.MainScherm.ToggleDrag = CreateFrame("Button", "knop", GUPPET_INTERFACE.MainScherm , "UIPanelButtonTemplate");
		GUPPET_INTERFACE.MainScherm.ToggleDrag:SetText( GUPPET_TEXT_OPTIONUI_MAIN_SETMOVABLE );
		GUPPET_INTERFACE.MainScherm.ToggleDrag:SetScript("OnClick", function () GupPetOptionToggleMainUIFrameDrag();  end) ;
		GUPPET_INTERFACE.MainScherm.ToggleDrag:SetWidth(120); 
		GUPPET_INTERFACE.MainScherm.ToggleDrag:SetHeight(20); 
		GUPPET_INTERFACE.MainScherm.ToggleDrag:SetPoint("BOTTOMLEFT",30,80);
		
		if GUPPET_INTERFACEOPTIONS.MainUIFrameDrag then
			GUPPET_INTERFACE.MainScherm.ToggleDrag:SetText( GUPPET_TEXT_OPTIONUI_MAIN_SETLOCK );
		else
			GUPPET_INTERFACE.MainScherm.ToggleDrag:SetText( GUPPET_TEXT_OPTIONUI_MAIN_SETMOVABLE );
		end	
		
		
		
		
	--[[	
		
		GUPPET_INTERFACE.MainScherm.Restore = CreateFrame("Button", "knopi", GUPPET_INTERFACE.MainScherm , "UIPanelButtonTemplate");
		GUPPET_INTERFACE.MainScherm.Restore:SetText( GUPPET_TEXT_OPTIONUI_MAIN_RESTORE);
		GUPPET_INTERFACE.MainScherm.Restore:SetScript("OnClick", function () 
		
				GUPPET_INTERFACEOPTIONS.MainUIFrameRelativePoint = "CENTER" ;
				GUPPET_INTERFACEOPTIONS.MainUIFramexOfs = 0 ;
				GUPPET_INTERFACEOPTIONS.MainUIFrameyOfs = 0 ;
		
		
				GUPPET_INTERFACE.MainUI.Frame:SetPoint( GUPPET_INTERFACEOPTIONS.MainUIFrameRelativePoint , GUPPET_INTERFACEOPTIONS.MainUIFramexOfs , GUPPET_INTERFACEOPTIONS.MainUIFrameyOfs);
	
				GupPet_Debug( "GupPetOptionInterface Restore IngameInterface" );
			end) ;
			
		GUPPET_INTERFACE.MainScherm.Restore:SetWidth(80); 
		GUPPET_INTERFACE.MainScherm.Restore:SetHeight(20); 
		GUPPET_INTERFACE.MainScherm.Restore:SetPoint("BOTTOMLEFT",190,80);	
		
		]]
		
		GUPPET_INTERFACE.MainScherm.ScaleSlider = CreateFrame('Slider', "SubSchermGroundMountsSlowSlider", GUPPET_INTERFACE.MainScherm , 'OptionsSliderTemplate');
		GUPPET_INTERFACE.MainScherm.ScaleSlider:SetPoint('BOTTOMLEFT', 30, 40);
		GUPPET_INTERFACE.MainScherm.ScaleSlider:SetOrientation('HORIZONTAL');
		GUPPET_INTERFACE.MainScherm.ScaleSlider:SetWidth(120) ;
		GUPPET_INTERFACE.MainScherm.ScaleSlider:SetHeight(20);
		GUPPET_INTERFACE.MainScherm.ScaleSlider:SetMinMaxValues(0.2 , 2.5 );
		GUPPET_INTERFACE.MainScherm.ScaleSlider:SetValueStep(0.05) ;
		GUPPET_INTERFACE.MainScherm.ScaleSlider:SetValue( GUPPET_INTERFACEOPTIONS.MainUIFrameScale );
		GUPPET_INTERFACE.MainScherm.ScaleSlider:SetScript("OnValueChanged", function (self)   GUPPET_INTERFACEOPTIONS.MainUIFrameScale = self:GetValue() ; GupPetOptionInterface() ;      end);

		
	end
	
-- ############################################# 
-- #############################################  GROUND MOUNTS
-- #############################################	
	
	if (GUPPET_INTERFACE.Init == 0 ) then
		-- SubScherm GroundMounts
		GUPPET_INTERFACE.SubSchermGroundMounts = CreateFrame("FRAME", "GupPetMounts");
		GUPPET_INTERFACE.SubSchermGroundMounts.name = GUPPET_TEXT_OPTIONUI_GROUNDMOUNTS ; 
		GUPPET_INTERFACE.SubSchermGroundMounts.parent = "Gup Pet"; 

		GUPPET_INTERFACE.SubSchermGroundMounts.Titel = CreateFrame("SimpleHTML", "Titel" , GUPPET_INTERFACE.SubSchermGroundMounts );
		GUPPET_INTERFACE.SubSchermGroundMounts.Titel:SetWidth(200); 
		GUPPET_INTERFACE.SubSchermGroundMounts.Titel:SetHeight(15); 
		GUPPET_INTERFACE.SubSchermGroundMounts.Titel:SetPoint("TOPLEFT", 10 , -15);
		GUPPET_INTERFACE.SubSchermGroundMounts.Titel:SetText("|cFFFFDE00".. GUPPET_TEXT_OPTIONUI_GROUNDMOUNTS) ;
		GUPPET_INTERFACE.SubSchermGroundMounts.Titel:SetFont('Fonts\\FRIZQT__.TTF', 15);
		
		
		-- Maak een lijstje voor te enable / disable 
		GUPPET_INTERFACE.SubSchermGroundMounts.Slow = {} ;
		GUPPET_INTERFACE.SubSchermGroundMounts.SlowT = {} ;	
		GUPPET_INTERFACE.SubSchermGroundMounts.Fast = {} ;
		GUPPET_INTERFACE.SubSchermGroundMounts.FastT = {} ;
		
		GUPPET_INTERFACE.SubSchermGroundMounts.Slow.Titel = CreateFrame("SimpleHTML", "Tekst" , GUPPET_INTERFACE.SubSchermGroundMounts);
		GUPPET_INTERFACE.SubSchermGroundMounts.Slow.Titel:SetWidth(200); 
		GUPPET_INTERFACE.SubSchermGroundMounts.Slow.Titel:SetHeight(20); 
		GUPPET_INTERFACE.SubSchermGroundMounts.Slow.Titel:SetPoint("TOPLEFT", 20 , -40);
		GUPPET_INTERFACE.SubSchermGroundMounts.Slow.Titel:SetText( GUPPET_TEXT_OPTIONUI_GROUNDMOUNTSSLOW ) ;
		GUPPET_INTERFACE.SubSchermGroundMounts.Slow.Titel:SetFont('Fonts\\FRIZQT__.TTF', 13);
		
		
		--Frame met alle Gegevens
		GUPPET_INTERFACE.SubSchermGroundMounts.Slow.Frame = CreateFrame("FRAME", "SubSchermGroundMountsSlowFrame" );   
		GUPPET_INTERFACE.SubSchermGroundMounts.Slow.Frame:SetWidth(180);
		GUPPET_INTERFACE.SubSchermGroundMounts.Slow.Frame:SetHeight(900);
	
		-- Buiten frame met rand
		GUPPET_INTERFACE.SubSchermGroundMounts.Slow.ScrollFrame = CreateFrame("FRAME", "SubSchermGroundMountsSlowScrollFrame", GUPPET_INTERFACE.SubSchermGroundMounts , "OptionsBoxTemplate"); 
		GUPPET_INTERFACE.SubSchermGroundMounts.Slow.ScrollFrame:SetWidth(190);
		GUPPET_INTERFACE.SubSchermGroundMounts.Slow.ScrollFrame:SetHeight(355);
		GUPPET_INTERFACE.SubSchermGroundMounts.Slow.ScrollFrame:SetPoint("TOPLEFT", 10 , -60);
			
		GUPPET_INTERFACE.SubSchermGroundMounts.Slow.ScrollFrameI = CreateFrame("ScrollFrame", "SubSchermGroundMountsSlowScrollFrameI", GUPPET_INTERFACE.SubSchermGroundMounts.Slow.ScrollFrame); 
		GUPPET_INTERFACE.SubSchermGroundMounts.Slow.ScrollFrameI:SetWidth(180);
		GUPPET_INTERFACE.SubSchermGroundMounts.Slow.ScrollFrameI:SetHeight(345);
		GUPPET_INTERFACE.SubSchermGroundMounts.Slow.ScrollFrameI:SetPoint("TOP", 0 , -5);
		GUPPET_INTERFACE.SubSchermGroundMounts.Slow.ScrollFrameI:SetVerticalScroll( -0 ) ;
		GUPPET_INTERFACE.SubSchermGroundMounts.Slow.ScrollFrameI:SetScrollChild( GUPPET_INTERFACE.SubSchermGroundMounts.Slow.Frame ) ; 
		
		GUPPET_INTERFACE.SubSchermGroundMounts.Slow.Slider = CreateFrame('Slider', "SubSchermGroundMountsSlowSlider", GUPPET_INTERFACE.SubSchermGroundMounts.Slow.ScrollFrame , 'UIPanelScrollBarTemplateLightBorder');
		GUPPET_INTERFACE.SubSchermGroundMounts.Slow.Slider:SetPoint('TOPRIGHT', -5, -22);
		GUPPET_INTERFACE.SubSchermGroundMounts.Slow.Slider:SetOrientation('VERTICAL');
		GUPPET_INTERFACE.SubSchermGroundMounts.Slow.Slider:SetWidth(20) ;
		GUPPET_INTERFACE.SubSchermGroundMounts.Slow.Slider:SetHeight(345-32);
		GUPPET_INTERFACE.SubSchermGroundMounts.Slow.Slider:SetScript("OnValueChanged", function (self)   GUPPET_INTERFACE.SubSchermGroundMounts.Slow.ScrollFrameI:SetVerticalScroll( self:GetValue()  ) ;      end);
		
		
		GUPPET_INTERFACE.SubSchermGroundMounts.Slow.SetEnable = CreateFrame("Button", "knop", GUPPET_INTERFACE.SubSchermGroundMounts.Slow.ScrollFrame , "UIPanelButtonTemplate");
		GUPPET_INTERFACE.SubSchermGroundMounts.Slow.SetEnable:SetText( GUPPET_TEXT_OPTIONUI_ENABLE );
		GUPPET_INTERFACE.SubSchermGroundMounts.Slow.SetEnable:SetScript("OnClick", function () GupPetPanel_SetStatus( "SlowGroundMount", 9999 , true , "Enabled" , "TotalEnabled" ); GupPetOptionInterface() ;  end) ;
		GUPPET_INTERFACE.SubSchermGroundMounts.Slow.SetEnable:SetWidth(50); 
		GUPPET_INTERFACE.SubSchermGroundMounts.Slow.SetEnable:SetHeight(10); 
		GUPPET_INTERFACE.SubSchermGroundMounts.Slow.SetEnable:SetPoint("TOPRIGHT", 0 , 20);
		
		GUPPET_INTERFACE.SubSchermGroundMounts.Slow.SetDisable = CreateFrame("Button", "knop", GUPPET_INTERFACE.SubSchermGroundMounts.Slow.ScrollFrame , "UIPanelButtonTemplate");
		GUPPET_INTERFACE.SubSchermGroundMounts.Slow.SetDisable:SetText( GUPPET_TEXT_OPTIONUI_DISABLE );
		GUPPET_INTERFACE.SubSchermGroundMounts.Slow.SetDisable:SetScript("OnClick", function () GupPetPanel_SetStatus( "SlowGroundMount", 9999 , false , "Enabled" , "TotalEnabled" ); GupPetOptionInterface() ;  end) ;
		GUPPET_INTERFACE.SubSchermGroundMounts.Slow.SetDisable:SetWidth(50); 
		GUPPET_INTERFACE.SubSchermGroundMounts.Slow.SetDisable:SetHeight(10); 
		GUPPET_INTERFACE.SubSchermGroundMounts.Slow.SetDisable:SetPoint("TOPRIGHT", 0 , 10);
		
		
		
		
		----------------------------------------------------
			
		GUPPET_INTERFACE.SubSchermGroundMounts.Fast.Titel = CreateFrame("SimpleHTML", "Tekst", GUPPET_INTERFACE.SubSchermGroundMounts );
		GUPPET_INTERFACE.SubSchermGroundMounts.Fast.Titel:SetWidth(200); 
		GUPPET_INTERFACE.SubSchermGroundMounts.Fast.Titel:SetHeight(20); 
		GUPPET_INTERFACE.SubSchermGroundMounts.Fast.Titel:SetPoint("TOPLEFT", 220 , -40 );
		GUPPET_INTERFACE.SubSchermGroundMounts.Fast.Titel:SetText( GUPPET_TEXT_OPTIONUI_GROUNDMOUNTSFAST ) ;
		GUPPET_INTERFACE.SubSchermGroundMounts.Fast.Titel:SetFont('Fonts\\FRIZQT__.TTF', 13);
		
		
		--Frame met alle Gegevens
		GUPPET_INTERFACE.SubSchermGroundMounts.Fast.Frame = CreateFrame("FRAME", "SubSchermGroundMountsFastFrame" );   
		GUPPET_INTERFACE.SubSchermGroundMounts.Fast.Frame:SetWidth(180);
		GUPPET_INTERFACE.SubSchermGroundMounts.Fast.Frame:SetHeight(900);
	
		-- Buiten frame met rand
		GUPPET_INTERFACE.SubSchermGroundMounts.Fast.ScrollFrame = CreateFrame("FRAME", "SubSchermGroundMountsFastScrollFrame", GUPPET_INTERFACE.SubSchermGroundMounts , "OptionsBoxTemplate"); 
		GUPPET_INTERFACE.SubSchermGroundMounts.Fast.ScrollFrame:SetWidth(190);
		GUPPET_INTERFACE.SubSchermGroundMounts.Fast.ScrollFrame:SetHeight(355);
		GUPPET_INTERFACE.SubSchermGroundMounts.Fast.ScrollFrame:SetPoint("TOPRIGHT", -10 , -60);
			
		GUPPET_INTERFACE.SubSchermGroundMounts.Fast.ScrollFrameI = CreateFrame("ScrollFrame", "SubSchermGroundMountsFastScrollFrameI", GUPPET_INTERFACE.SubSchermGroundMounts.Fast.ScrollFrame); 
		GUPPET_INTERFACE.SubSchermGroundMounts.Fast.ScrollFrameI:SetWidth(180);
		GUPPET_INTERFACE.SubSchermGroundMounts.Fast.ScrollFrameI:SetHeight(345);
		GUPPET_INTERFACE.SubSchermGroundMounts.Fast.ScrollFrameI:SetPoint("TOP", 0 , -5);
		GUPPET_INTERFACE.SubSchermGroundMounts.Fast.ScrollFrameI:SetVerticalScroll( -0 ) ;
		GUPPET_INTERFACE.SubSchermGroundMounts.Fast.ScrollFrameI:SetScrollChild( GUPPET_INTERFACE.SubSchermGroundMounts.Fast.Frame ) ; 
		
		GUPPET_INTERFACE.SubSchermGroundMounts.Fast.Slider = CreateFrame('Slider', "SubSchermGroundMountsFastSlider", GUPPET_INTERFACE.SubSchermGroundMounts.Fast.ScrollFrame , 'UIPanelScrollBarTemplateLightBorder');
		GUPPET_INTERFACE.SubSchermGroundMounts.Fast.Slider:SetPoint('TOPRIGHT', -5, -22);
		GUPPET_INTERFACE.SubSchermGroundMounts.Fast.Slider:SetOrientation('VERTICAL');
		GUPPET_INTERFACE.SubSchermGroundMounts.Fast.Slider:SetWidth(20) ;
		GUPPET_INTERFACE.SubSchermGroundMounts.Fast.Slider:SetHeight(345-32);
		GUPPET_INTERFACE.SubSchermGroundMounts.Fast.Slider:SetScript("OnValueChanged", function (self)   GUPPET_INTERFACE.SubSchermGroundMounts.Fast.ScrollFrameI:SetVerticalScroll( self:GetValue()  ) ;      end);
		



		GUPPET_INTERFACE.SubSchermGroundMounts.Fast.SetEnable = CreateFrame("Button", "knop", GUPPET_INTERFACE.SubSchermGroundMounts.Fast.ScrollFrame , "UIPanelButtonTemplate");
		GUPPET_INTERFACE.SubSchermGroundMounts.Fast.SetEnable:SetText( GUPPET_TEXT_OPTIONUI_ENABLE );
		GUPPET_INTERFACE.SubSchermGroundMounts.Fast.SetEnable:SetScript("OnClick", function () GupPetPanel_SetStatus( "FastGroundMount", 9999 , true , "Enabled" , "TotalEnabled" ); GupPetOptionInterface() ;  end) ;
		GUPPET_INTERFACE.SubSchermGroundMounts.Fast.SetEnable:SetWidth(50); 
		GUPPET_INTERFACE.SubSchermGroundMounts.Fast.SetEnable:SetHeight(10); 
		GUPPET_INTERFACE.SubSchermGroundMounts.Fast.SetEnable:SetPoint("TOPRIGHT", 0 , 20);
		
		GUPPET_INTERFACE.SubSchermGroundMounts.Fast.SetDisable = CreateFrame("Button", "knop", GUPPET_INTERFACE.SubSchermGroundMounts.Fast.ScrollFrame , "UIPanelButtonTemplate");
		GUPPET_INTERFACE.SubSchermGroundMounts.Fast.SetDisable:SetText( GUPPET_TEXT_OPTIONUI_DISABLE );
		GUPPET_INTERFACE.SubSchermGroundMounts.Fast.SetDisable:SetScript("OnClick", function () GupPetPanel_SetStatus( "FastGroundMount", 9999 , false , "Enabled" , "TotalEnabled" ); GupPetOptionInterface() ;  end) ;
		GUPPET_INTERFACE.SubSchermGroundMounts.Fast.SetDisable:SetWidth(50); 
		GUPPET_INTERFACE.SubSchermGroundMounts.Fast.SetDisable:SetHeight(10); 
		GUPPET_INTERFACE.SubSchermGroundMounts.Fast.SetDisable:SetPoint("TOPRIGHT", 0 , 10);
		
		
					
		GUPPET_INTERFACE.SubSchermGroundMounts.Slow["Temp"] = 0 ;	
		GUPPET_INTERFACE.SubSchermGroundMounts.Fast["Temp"] = 0 ;	
	end
	
	
	t_i = 0 ;	
	
	for i = 1 , GUPPET_MOUNTS["SlowGroundMount"]["Total"] do

		if (GUPPET_INTERFACE.Init == 0 or GUPPET_INTERFACE.SubSchermGroundMounts.Slow.Temp < i ) then
			GUPPET_INTERFACE.SubSchermGroundMounts.Slow[ i ] = CreateFrame("CheckButton", "Knop_"  , GUPPET_INTERFACE.SubSchermGroundMounts.Slow.Frame , "OptionsCheckButtonTemplate");
			GUPPET_INTERFACE.SubSchermGroundMounts.Slow[ i ]:SetWidth(20); 
			GUPPET_INTERFACE.SubSchermGroundMounts.Slow[ i ]:SetHeight(20); 
			GUPPET_INTERFACE.SubSchermGroundMounts.Slow[ i ]:SetPoint("TOPLEFT", 0, 15 - (i*15));
			GUPPET_INTERFACE.SubSchermGroundMounts.Slow[ i ]:RegisterForClicks("AnyUp");
			GUPPET_INTERFACE.SubSchermGroundMounts.Slow[ i ]:SetScript("OnClick", function (self, button, down)    GupPetPanel_SetStatus( "SlowGroundMount" , self:GetID() , self:GetChecked() , "Enabled" , "TotalEnabled" )  end);
				
			GUPPET_INTERFACE.SubSchermGroundMounts.SlowT[ i ] = CreateFrame("SimpleHTML", "Tekst" , GUPPET_INTERFACE.SubSchermGroundMounts.Slow.Frame , "UIPanelButtonTemplate" );
			GUPPET_INTERFACE.SubSchermGroundMounts.SlowT[ i ]:SetWidth(200); 
			GUPPET_INTERFACE.SubSchermGroundMounts.SlowT[ i ]:SetHeight(20); 
			GUPPET_INTERFACE.SubSchermGroundMounts.SlowT[ i ]:SetPoint("TOPLEFT", 25 , 11 - (i*15));
			GUPPET_INTERFACE.SubSchermGroundMounts.SlowT[ i ]:SetFont('Fonts\\FRIZQT__.TTF', 10);
		end
			
		GUPPET_INTERFACE.SubSchermGroundMounts.SlowT[ i ]:SetText( GUPPET_MOUNTS["SlowGroundMount"][ i ]["Name"]  ) ;
		GUPPET_INTERFACE.SubSchermGroundMounts.Slow[ i ]:SetChecked(  GUPPET_MOUNTS["SlowGroundMount"][ i ]["Enabled"] ); 
		GUPPET_INTERFACE.SubSchermGroundMounts.Slow[ i ]:SetID(i);
		
		t_i = i ;
	end
	GupPet_Debug( "GupPetOptionInterface Passed SlowGround" );
	
	---------------------------------------------------
	GUPPET_INTERFACE.SubSchermGroundMounts.Slow.Temp =  t_i ;
	t_i = 0 ;	
	
	
	if GUPPET_INTERFACE.SubSchermGroundMounts.Slow.Temp*15 > 345 then
		GUPPET_INTERFACE.SubSchermGroundMounts.Slow.Slider:SetMinMaxValues(0 , GUPPET_INTERFACE.SubSchermGroundMounts.Slow.Temp*15-345 );
		GUPPET_INTERFACE.SubSchermGroundMounts.Slow.Slider:SetValueStep(15) ;
		GUPPET_INTERFACE.SubSchermGroundMounts.Slow.Slider:SetValue(0);
		GUPPET_INTERFACE.SubSchermGroundMounts.Slow.Slider:Show() ;
	else
		GUPPET_INTERFACE.SubSchermGroundMounts.Slow.Slider:Hide()	;
			
	end
	
	
	---------------------------------------------------
	
	for i = 1 , GUPPET_MOUNTS["FastGroundMount"]["Total"] do
		
		if (GUPPET_INTERFACE.Init == 0 or GUPPET_INTERFACE.SubSchermGroundMounts.Fast.Temp < i ) then
			GUPPET_INTERFACE.SubSchermGroundMounts.Fast[ i ] = CreateFrame("CheckButton", "Knop_"  , GUPPET_INTERFACE.SubSchermGroundMounts.Fast.Frame, "OptionsCheckButtonTemplate");
			GUPPET_INTERFACE.SubSchermGroundMounts.Fast[ i ]:SetWidth(20); 
			GUPPET_INTERFACE.SubSchermGroundMounts.Fast[ i ]:SetHeight(20); 
			GUPPET_INTERFACE.SubSchermGroundMounts.Fast[ i ]:SetPoint("TOPLEFT", 0, 15 - (i*15));
			GUPPET_INTERFACE.SubSchermGroundMounts.Fast[ i ]:RegisterForClicks("AnyUp");
			GUPPET_INTERFACE.SubSchermGroundMounts.Fast[ i ]:SetScript("OnClick", function (self, button, down)    GupPetPanel_SetStatus( "FastGroundMount" , self:GetID() , self:GetChecked() , "Enabled" , "TotalEnabled" )  end);
				
			GUPPET_INTERFACE.SubSchermGroundMounts.FastT[ i ] = CreateFrame("SimpleHTML", "Tekst" , GUPPET_INTERFACE.SubSchermGroundMounts.Fast.Frame , "UIPanelButtonTemplate" );
			GUPPET_INTERFACE.SubSchermGroundMounts.FastT[ i ]:SetWidth(200); 
			GUPPET_INTERFACE.SubSchermGroundMounts.FastT[ i ]:SetHeight(20); 
			GUPPET_INTERFACE.SubSchermGroundMounts.FastT[ i ]:SetPoint("TOPLEFT", 25 , 11 - (i*15));
			GUPPET_INTERFACE.SubSchermGroundMounts.FastT[ i ]:SetFont('Fonts\\FRIZQT__.TTF', 10);
		end
		
		GUPPET_INTERFACE.SubSchermGroundMounts.Fast[ i ]:SetChecked(  GUPPET_MOUNTS["FastGroundMount"][ i ]["Enabled"] ); 
		GUPPET_INTERFACE.SubSchermGroundMounts.Fast[ i ]:SetID(i);
		GUPPET_INTERFACE.SubSchermGroundMounts.FastT[ i ]:SetText( GUPPET_MOUNTS["FastGroundMount"][ i ]["Name"]  ) ;
	
		t_i = i ;
	end
	
	GUPPET_INTERFACE.SubSchermGroundMounts.Fast.Temp =  t_i ;
	
	GupPet_Debug( "GupPetOptionInterface Passed FastGround" );	
	
	if GUPPET_INTERFACE.SubSchermGroundMounts.Fast.Temp*15 > 345 then
		GUPPET_INTERFACE.SubSchermGroundMounts.Fast.Slider:SetMinMaxValues(0 , GUPPET_INTERFACE.SubSchermGroundMounts.Fast.Temp*15-345 );
		GUPPET_INTERFACE.SubSchermGroundMounts.Fast.Slider:SetValueStep(15) ;
		GUPPET_INTERFACE.SubSchermGroundMounts.Fast.Slider:SetValue(0);
		GUPPET_INTERFACE.SubSchermGroundMounts.Fast.Slider:Show() ;
	else
		GUPPET_INTERFACE.SubSchermGroundMounts.Fast.Slider:Hide()	;
			
	end
	
	
	
	
	
	
	
	
-- ############################################# 
-- #############################################  FLY MOUNTS
-- #############################################	
	if (GUPPET_INTERFACE.Init == 0 ) then
		-- SubScherm FlyMounts
		GUPPET_INTERFACE.SubSchermFlyMounts = CreateFrame("ScrollFrame", "GupPetMounts"); 
		GUPPET_INTERFACE.SubSchermFlyMounts.name = GUPPET_TEXT_OPTIONUI_FLYMOUNTS; 
		GUPPET_INTERFACE.SubSchermFlyMounts.parent = "Gup Pet"; 

		
		GUPPET_INTERFACE.SubSchermFlyMounts.Titel = CreateFrame("SimpleHTML", "Titel" , GUPPET_INTERFACE.SubSchermFlyMounts );
		GUPPET_INTERFACE.SubSchermFlyMounts.Titel:SetWidth(100); 
		GUPPET_INTERFACE.SubSchermFlyMounts.Titel:SetHeight(15); 
		GUPPET_INTERFACE.SubSchermFlyMounts.Titel:SetPoint("TOPLEFT", 10 , -15);
		GUPPET_INTERFACE.SubSchermFlyMounts.Titel:SetText("|cFFFFDE00".. GUPPET_TEXT_OPTIONUI_FLYMOUNTS) ;
		GUPPET_INTERFACE.SubSchermFlyMounts.Titel:SetFont('Fonts\\FRIZQT__.TTF', 15);
		
		
		
		
		

		-- Maak een lijstje voor te enable / disable 
		GUPPET_INTERFACE.SubSchermFlyMounts.Slow = {} ;
		GUPPET_INTERFACE.SubSchermFlyMounts.SlowT = {} ;	

		GUPPET_INTERFACE.SubSchermFlyMounts.Fast = {} ;
		GUPPET_INTERFACE.SubSchermFlyMounts.FastT = {} ;

		
		GUPPET_INTERFACE.SubSchermFlyMounts.Slow.Titel = CreateFrame("SimpleHTML", "Tekst" , GUPPET_INTERFACE.SubSchermFlyMounts , "UIPanelButtonTemplate" );
		GUPPET_INTERFACE.SubSchermFlyMounts.Slow.Titel:SetWidth(200); 
		GUPPET_INTERFACE.SubSchermFlyMounts.Slow.Titel:SetHeight(20); 
		GUPPET_INTERFACE.SubSchermFlyMounts.Slow.Titel:SetPoint("TOPLEFT", 20 , -40);
		GUPPET_INTERFACE.SubSchermFlyMounts.Slow.Titel:SetText( GUPPET_TEXT_OPTIONUI_FLYMOUNTSSLOW ) ;
		GUPPET_INTERFACE.SubSchermFlyMounts.Slow.Titel:SetFont('Fonts\\FRIZQT__.TTF', 13);

				--Frame met alle Gegevens
		GUPPET_INTERFACE.SubSchermFlyMounts.Slow.Frame = CreateFrame("FRAME", "SubSchermGroundMountsSlowFrame" );   
		GUPPET_INTERFACE.SubSchermFlyMounts.Slow.Frame:SetWidth(180);
		GUPPET_INTERFACE.SubSchermFlyMounts.Slow.Frame:SetHeight(900);
	
		-- Buiten frame met rand
		GUPPET_INTERFACE.SubSchermFlyMounts.Slow.ScrollFrame = CreateFrame("FRAME", "SubSchermGroundMountsSlowScrollFrame", GUPPET_INTERFACE.SubSchermFlyMounts , "OptionsBoxTemplate"); 
		GUPPET_INTERFACE.SubSchermFlyMounts.Slow.ScrollFrame:SetWidth(190);
		GUPPET_INTERFACE.SubSchermFlyMounts.Slow.ScrollFrame:SetHeight(355);
		GUPPET_INTERFACE.SubSchermFlyMounts.Slow.ScrollFrame:SetPoint("TOPLEFT", 10 , -60);
			
		GUPPET_INTERFACE.SubSchermFlyMounts.Slow.ScrollFrameI = CreateFrame("ScrollFrame", "SubSchermGroundMountsSlowScrollFrameI", GUPPET_INTERFACE.SubSchermFlyMounts.Slow.ScrollFrame); 
		GUPPET_INTERFACE.SubSchermFlyMounts.Slow.ScrollFrameI:SetWidth(180);
		GUPPET_INTERFACE.SubSchermFlyMounts.Slow.ScrollFrameI:SetHeight(345);
		GUPPET_INTERFACE.SubSchermFlyMounts.Slow.ScrollFrameI:SetPoint("TOP", 0 , -5);
		GUPPET_INTERFACE.SubSchermFlyMounts.Slow.ScrollFrameI:SetVerticalScroll( -0 ) ;
		GUPPET_INTERFACE.SubSchermFlyMounts.Slow.ScrollFrameI:SetScrollChild( GUPPET_INTERFACE.SubSchermFlyMounts.Slow.Frame ) ; 
		
		GUPPET_INTERFACE.SubSchermFlyMounts.Slow.Slider = CreateFrame('Slider', "SubSchermFlyMountsSlowSlider", GUPPET_INTERFACE.SubSchermFlyMounts.Slow.ScrollFrame , 'UIPanelScrollBarTemplateLightBorder');
		GUPPET_INTERFACE.SubSchermFlyMounts.Slow.Slider:SetPoint('TOPRIGHT', -5, -22);
		GUPPET_INTERFACE.SubSchermFlyMounts.Slow.Slider:SetOrientation('VERTICAL');
		GUPPET_INTERFACE.SubSchermFlyMounts.Slow.Slider:SetWidth(20) ;
		GUPPET_INTERFACE.SubSchermFlyMounts.Slow.Slider:SetHeight(345-32);
		GUPPET_INTERFACE.SubSchermFlyMounts.Slow.Slider:SetScript("OnValueChanged", function (self)   GUPPET_INTERFACE.SubSchermFlyMounts.Slow.ScrollFrameI:SetVerticalScroll( self:GetValue()  ) ;      end);
		
		GUPPET_INTERFACE.SubSchermFlyMounts.Slow.SetEnable = CreateFrame("Button", "knop", GUPPET_INTERFACE.SubSchermFlyMounts.Slow.ScrollFrame , "UIPanelButtonTemplate");
		GUPPET_INTERFACE.SubSchermFlyMounts.Slow.SetEnable:SetText(GUPPET_TEXT_OPTIONUI_ENABLE);
		GUPPET_INTERFACE.SubSchermFlyMounts.Slow.SetEnable:SetScript("OnClick", function () GupPetPanel_SetStatus( "SlowFlyMount", 9999 , true , "Enabled" , "TotalEnabled" ); GupPetOptionInterface() ;  end) ;
		GUPPET_INTERFACE.SubSchermFlyMounts.Slow.SetEnable:SetWidth(50); 
		GUPPET_INTERFACE.SubSchermFlyMounts.Slow.SetEnable:SetHeight(10); 
		GUPPET_INTERFACE.SubSchermFlyMounts.Slow.SetEnable:SetPoint("TOPRIGHT", 0 , 20);
		
		GUPPET_INTERFACE.SubSchermFlyMounts.Slow.SetDisable = CreateFrame("Button", "knop", GUPPET_INTERFACE.SubSchermFlyMounts.Slow.ScrollFrame , "UIPanelButtonTemplate");
		GUPPET_INTERFACE.SubSchermFlyMounts.Slow.SetDisable:SetText(GUPPET_TEXT_OPTIONUI_DISABLE);
		GUPPET_INTERFACE.SubSchermFlyMounts.Slow.SetDisable:SetScript("OnClick", function () GupPetPanel_SetStatus( "SlowFlyMount", 9999 , false , "Enabled" , "TotalEnabled" ); GupPetOptionInterface() ;  end) ;
		GUPPET_INTERFACE.SubSchermFlyMounts.Slow.SetDisable:SetWidth(50); 
		GUPPET_INTERFACE.SubSchermFlyMounts.Slow.SetDisable:SetHeight(10); 
		GUPPET_INTERFACE.SubSchermFlyMounts.Slow.SetDisable:SetPoint("TOPRIGHT", 0 , 10);
		
		
		
		
		
		
		GUPPET_INTERFACE.SubSchermFlyMounts.Fast.Titel = CreateFrame("SimpleHTML", "Tekst" , GUPPET_INTERFACE.SubSchermFlyMounts , "UIPanelButtonTemplate" );
		GUPPET_INTERFACE.SubSchermFlyMounts.Fast.Titel:SetWidth(200); 
		GUPPET_INTERFACE.SubSchermFlyMounts.Fast.Titel:SetHeight(20); 
		GUPPET_INTERFACE.SubSchermFlyMounts.Fast.Titel:SetPoint("TOPLEFT", 220 , -40 );
		GUPPET_INTERFACE.SubSchermFlyMounts.Fast.Titel:SetText( GUPPET_TEXT_OPTIONUI_FLYMOUNTSFAST ) ;
		GUPPET_INTERFACE.SubSchermFlyMounts.Fast.Titel:SetFont('Fonts\\FRIZQT__.TTF', 13);
		
				--Frame met alle Gegevens
		GUPPET_INTERFACE.SubSchermFlyMounts.Fast.Frame = CreateFrame("FRAME", "SubSchermGroundMountsFastFrame" );   
		GUPPET_INTERFACE.SubSchermFlyMounts.Fast.Frame:SetWidth(180);
		GUPPET_INTERFACE.SubSchermFlyMounts.Fast.Frame:SetHeight(900);
	
		-- Buiten frame met rand
		GUPPET_INTERFACE.SubSchermFlyMounts.Fast.ScrollFrame = CreateFrame("FRAME", "SubSchermGroundMountsFastScrollFrame", GUPPET_INTERFACE.SubSchermFlyMounts , "OptionsBoxTemplate"); 
		GUPPET_INTERFACE.SubSchermFlyMounts.Fast.ScrollFrame:SetWidth(190);
		GUPPET_INTERFACE.SubSchermFlyMounts.Fast.ScrollFrame:SetHeight(355);
		GUPPET_INTERFACE.SubSchermFlyMounts.Fast.ScrollFrame:SetPoint("TOPRIGHT", -10 , -60);
			
		GUPPET_INTERFACE.SubSchermFlyMounts.Fast.ScrollFrameI = CreateFrame("ScrollFrame", "SubSchermGroundMountsFastScrollFrameI", GUPPET_INTERFACE.SubSchermFlyMounts.Fast.ScrollFrame); 
		GUPPET_INTERFACE.SubSchermFlyMounts.Fast.ScrollFrameI:SetWidth(180);
		GUPPET_INTERFACE.SubSchermFlyMounts.Fast.ScrollFrameI:SetHeight(345);
		GUPPET_INTERFACE.SubSchermFlyMounts.Fast.ScrollFrameI:SetPoint("TOP", 0 , -5);
		GUPPET_INTERFACE.SubSchermFlyMounts.Fast.ScrollFrameI:SetVerticalScroll( -0 ) ;
		GUPPET_INTERFACE.SubSchermFlyMounts.Fast.ScrollFrameI:SetScrollChild( GUPPET_INTERFACE.SubSchermFlyMounts.Fast.Frame ) ; 

		GUPPET_INTERFACE.SubSchermFlyMounts.Fast.Slider = CreateFrame('Slider', "SubSchermFlyMountsFastSlider", GUPPET_INTERFACE.SubSchermFlyMounts.Fast.ScrollFrame , 'UIPanelScrollBarTemplateLightBorder');
		GUPPET_INTERFACE.SubSchermFlyMounts.Fast.Slider:SetPoint('TOPRIGHT', -5, -22);
		GUPPET_INTERFACE.SubSchermFlyMounts.Fast.Slider:SetOrientation('VERTICAL');
		GUPPET_INTERFACE.SubSchermFlyMounts.Fast.Slider:SetWidth(20) ;
		GUPPET_INTERFACE.SubSchermFlyMounts.Fast.Slider:SetHeight(345-32);
		GUPPET_INTERFACE.SubSchermFlyMounts.Fast.Slider:SetScript("OnValueChanged", function (self)   GUPPET_INTERFACE.SubSchermFlyMounts.Fast.ScrollFrameI:SetVerticalScroll( self:GetValue()  ) ;      end);
		
		
		GUPPET_INTERFACE.SubSchermFlyMounts.Fast.SetEnable = CreateFrame("Button", "knop", GUPPET_INTERFACE.SubSchermFlyMounts.Fast.ScrollFrame , "UIPanelButtonTemplate");
		GUPPET_INTERFACE.SubSchermFlyMounts.Fast.SetEnable:SetText(GUPPET_TEXT_OPTIONUI_ENABLE);
		GUPPET_INTERFACE.SubSchermFlyMounts.Fast.SetEnable:SetScript("OnClick", function () GupPetPanel_SetStatus( "FastFlyMount", 9999 , true , "Enabled" , "TotalEnabled" ); GupPetOptionInterface() ;  end) ;
		GUPPET_INTERFACE.SubSchermFlyMounts.Fast.SetEnable:SetWidth(50); 
		GUPPET_INTERFACE.SubSchermFlyMounts.Fast.SetEnable:SetHeight(10); 
		GUPPET_INTERFACE.SubSchermFlyMounts.Fast.SetEnable:SetPoint("TOPRIGHT", 0 , 20);
		
		GUPPET_INTERFACE.SubSchermFlyMounts.Fast.SetDisable = CreateFrame("Button", "knop", GUPPET_INTERFACE.SubSchermFlyMounts.Fast.ScrollFrame , "UIPanelButtonTemplate");
		GUPPET_INTERFACE.SubSchermFlyMounts.Fast.SetDisable:SetText(GUPPET_TEXT_OPTIONUI_DISABLE);
		GUPPET_INTERFACE.SubSchermFlyMounts.Fast.SetDisable:SetScript("OnClick", function () GupPetPanel_SetStatus( "FastFlyMount", 9999 , false , "Enabled" , "TotalEnabled" ); GupPetOptionInterface() ;  end) ;
		GUPPET_INTERFACE.SubSchermFlyMounts.Fast.SetDisable:SetWidth(50); 
		GUPPET_INTERFACE.SubSchermFlyMounts.Fast.SetDisable:SetHeight(10); 
		GUPPET_INTERFACE.SubSchermFlyMounts.Fast.SetDisable:SetPoint("TOPRIGHT", 0 , 10);
		
		
		GUPPET_INTERFACE.SubSchermFlyMounts.Slow["Temp"] = 0 ;	
		GUPPET_INTERFACE.SubSchermFlyMounts.Fast["Temp"] = 0 ;	
	end
		
	t_i = 0 ;	
	
	for i = 1 , GUPPET_MOUNTS["SlowFlyMount"]["Total"] do
				
		if (GUPPET_INTERFACE.Init == 0 or GUPPET_INTERFACE.SubSchermFlyMounts.Slow.Temp < i ) then
			GUPPET_INTERFACE.SubSchermFlyMounts.Slow[ i ] = CreateFrame("CheckButton", "Knop_"  , GUPPET_INTERFACE.SubSchermFlyMounts.Slow.Frame, "OptionsCheckButtonTemplate");
			GUPPET_INTERFACE.SubSchermFlyMounts.Slow[ i ]:SetWidth(20); 
			GUPPET_INTERFACE.SubSchermFlyMounts.Slow[ i ]:SetHeight(20); 
			GUPPET_INTERFACE.SubSchermFlyMounts.Slow[ i ]:SetPoint("TOPLEFT", 0, 15 - (i*15));
			GUPPET_INTERFACE.SubSchermFlyMounts.Slow[ i ]:RegisterForClicks("AnyUp");
			GUPPET_INTERFACE.SubSchermFlyMounts.Slow[ i ]:SetScript("OnClick", function (self, button, down)    GupPetPanel_SetStatus( "SlowFlyMount" , self:GetID() , self:GetChecked() , "Enabled" , "TotalEnabled" )  end);
				
			GUPPET_INTERFACE.SubSchermFlyMounts.SlowT[ i ] = CreateFrame("SimpleHTML", "Tekst" , GUPPET_INTERFACE.SubSchermFlyMounts.Slow.Frame , "UIPanelButtonTemplate" );
			GUPPET_INTERFACE.SubSchermFlyMounts.SlowT[ i ]:SetWidth(200); 
			GUPPET_INTERFACE.SubSchermFlyMounts.SlowT[ i ]:SetHeight(20); 
			GUPPET_INTERFACE.SubSchermFlyMounts.SlowT[ i ]:SetPoint("TOPLEFT", 20 , 11 - (i*15));
			GUPPET_INTERFACE.SubSchermFlyMounts.SlowT[ i ]:SetFont('Fonts\\FRIZQT__.TTF', 10);
		end
	
		GUPPET_INTERFACE.SubSchermFlyMounts.Slow[ i ]:SetChecked(  GUPPET_MOUNTS["SlowFlyMount"][ i ]["Enabled"] ); 
		GUPPET_INTERFACE.SubSchermFlyMounts.Slow[ i ]:SetID(i);
		GUPPET_INTERFACE.SubSchermFlyMounts.SlowT[ i ]:SetText( GUPPET_MOUNTS["SlowFlyMount"][ i ]["Name"]  ) ;
			
		t_i = i ;
	end
	GupPet_Debug( "GupPetOptionInterface Passed SlowFly" );
	---------------------------------------------------
	GUPPET_INTERFACE.SubSchermFlyMounts.Slow.Temp =  t_i ;
	t_i = 0 ;	
	
	if GUPPET_INTERFACE.SubSchermFlyMounts.Slow.Temp*15 > 345 then
		GUPPET_INTERFACE.SubSchermFlyMounts.Slow.Slider:SetMinMaxValues(0 , GUPPET_INTERFACE.SubSchermFlyMounts.Slow.Temp*15-345 );
		GUPPET_INTERFACE.SubSchermFlyMounts.Slow.Slider:SetValueStep(15) ;
		GUPPET_INTERFACE.SubSchermFlyMounts.Slow.Slider:SetValue(0);
		GUPPET_INTERFACE.SubSchermFlyMounts.Slow.Slider:Show() ;
	else
		GUPPET_INTERFACE.SubSchermFlyMounts.Slow.Slider:Hide()	;
			
	end
	
	
	---------------------------------------------------
	
	for i = 1 , GUPPET_MOUNTS["FastFlyMount"]["Total"] do
				
		if (GUPPET_INTERFACE.Init == 0 or GUPPET_INTERFACE.SubSchermFlyMounts.Fast.Temp < i ) then 
			GUPPET_INTERFACE.SubSchermFlyMounts.Fast[ i ] = CreateFrame("CheckButton", "Knop_"  , GUPPET_INTERFACE.SubSchermFlyMounts.Fast.Frame, "OptionsCheckButtonTemplate");
			GUPPET_INTERFACE.SubSchermFlyMounts.Fast[ i ]:SetWidth(20); 
			GUPPET_INTERFACE.SubSchermFlyMounts.Fast[ i ]:SetHeight(20); 
			GUPPET_INTERFACE.SubSchermFlyMounts.Fast[ i ]:SetPoint("TOPLEFT", 0, 15 - (i*15));
			GUPPET_INTERFACE.SubSchermFlyMounts.Fast[ i ]:RegisterForClicks("AnyUp");
			GUPPET_INTERFACE.SubSchermFlyMounts.Fast[ i ]:SetScript("OnClick", function (self, button, down)    GupPetPanel_SetStatus( "FastFlyMount" , self:GetID() , self:GetChecked() , "Enabled" , "TotalEnabled" )  end);
		
				
			GUPPET_INTERFACE.SubSchermFlyMounts.FastT[ i ] = CreateFrame("SimpleHTML", "Tekst" , GUPPET_INTERFACE.SubSchermFlyMounts.Fast.Frame , "UIPanelButtonTemplate" );
			GUPPET_INTERFACE.SubSchermFlyMounts.FastT[ i ]:SetWidth(200); 
			GUPPET_INTERFACE.SubSchermFlyMounts.FastT[ i ]:SetHeight(20); 
			GUPPET_INTERFACE.SubSchermFlyMounts.FastT[ i ]:SetPoint("TOPLEFT", 20 , 11 - (i*15));
			GUPPET_INTERFACE.SubSchermFlyMounts.FastT[ i ]:SetFont('Fonts\\FRIZQT__.TTF', 10);
		end
		
		GUPPET_INTERFACE.SubSchermFlyMounts.Fast[ i ]:SetID(i);
		GUPPET_INTERFACE.SubSchermFlyMounts.Fast[ i ]:SetChecked(  GUPPET_MOUNTS["FastFlyMount"][ i ]["Enabled"] ); 
		GUPPET_INTERFACE.SubSchermFlyMounts.FastT[ i ]:SetText( GUPPET_MOUNTS["FastFlyMount"][ i ]["Name"]  ) ;
		
	
		t_i = i ;
	end	
	GUPPET_INTERFACE.SubSchermFlyMounts.Fast.Temp =  t_i ;
	
	
	if GUPPET_INTERFACE.SubSchermFlyMounts.Fast.Temp*15 > 345 then
		GUPPET_INTERFACE.SubSchermFlyMounts.Fast.Slider:SetMinMaxValues(0 , GUPPET_INTERFACE.SubSchermFlyMounts.Fast.Temp*15-345 );
		GUPPET_INTERFACE.SubSchermFlyMounts.Fast.Slider:SetValueStep(15) ;
		GUPPET_INTERFACE.SubSchermFlyMounts.Fast.Slider:SetValue(0);
		GUPPET_INTERFACE.SubSchermFlyMounts.Fast.Slider:Show() ;
	else
		GUPPET_INTERFACE.SubSchermFlyMounts.Fast.Slider:Hide()	;
	end
	
	
	
	
	GupPet_Debug( "GupPetOptionInterface Passed FastFly" );
	
		
	
-- ############################################# 
-- #############################################  CRITTERS
-- #############################################	
	-- SubScherm Critters
	if (GUPPET_INTERFACE.Init == 0 ) then
		GUPPET_INTERFACE.SubSchermCritters = CreateFrame("ScrollFrame", "GupPetCritters"); 
		GUPPET_INTERFACE.SubSchermCritters.name = GUPPET_TEXT_OPTIONUI_CRITTERS; 
		GUPPET_INTERFACE.SubSchermCritters.parent = "Gup Pet"; 

		GUPPET_INTERFACE.SubSchermCritters.Titel = CreateFrame("SimpleHTML", "Titel" , GUPPET_INTERFACE.SubSchermCritters );
		GUPPET_INTERFACE.SubSchermCritters.Titel:SetWidth(100); 
		GUPPET_INTERFACE.SubSchermCritters.Titel:SetHeight(15); 
		GUPPET_INTERFACE.SubSchermCritters.Titel:SetPoint("TOPLEFT", 10 , -15);
		GUPPET_INTERFACE.SubSchermCritters.Titel:SetText("|cFFFFDE00".. GUPPET_TEXT_OPTIONUI_CRITTERS) ;
		GUPPET_INTERFACE.SubSchermCritters.Titel:SetFont('Fonts\\FRIZQT__.TTF', 15);

		
		--Frame met alle Gegevens
		GUPPET_INTERFACE.SubSchermCritters.Frame = CreateFrame("FRAME", "SubSchermGroundMountsFastFrame" );   
		GUPPET_INTERFACE.SubSchermCritters.Frame:SetWidth(383);
		GUPPET_INTERFACE.SubSchermCritters.Frame:SetHeight(900);
	
		-- Buiten frame met rand
		GUPPET_INTERFACE.SubSchermCritters.ScrollFrame = CreateFrame("FRAME", "SubSchermGroundMountsFastScrollFrame", GUPPET_INTERFACE.SubSchermCritters , "OptionsBoxTemplate"); 
		GUPPET_INTERFACE.SubSchermCritters.ScrollFrame:SetWidth(393);
		GUPPET_INTERFACE.SubSchermCritters.ScrollFrame:SetHeight(355);
		GUPPET_INTERFACE.SubSchermCritters.ScrollFrame:SetPoint("TOPLEFT", 10 , -60);
			
		GUPPET_INTERFACE.SubSchermCritters.ScrollFrameI = CreateFrame("ScrollFrame", "SubSchermGroundMountsFastScrollFrameI", GUPPET_INTERFACE.SubSchermCritters.ScrollFrame); 
		GUPPET_INTERFACE.SubSchermCritters.ScrollFrameI:SetWidth(383);
		GUPPET_INTERFACE.SubSchermCritters.ScrollFrameI:SetHeight(345);
		GUPPET_INTERFACE.SubSchermCritters.ScrollFrameI:SetPoint("TOP", 0 , -5);
		GUPPET_INTERFACE.SubSchermCritters.ScrollFrameI:SetVerticalScroll( -0 ) ;
		GUPPET_INTERFACE.SubSchermCritters.ScrollFrameI:SetScrollChild( GUPPET_INTERFACE.SubSchermCritters.Frame ) ; 
		
		
		GUPPET_INTERFACE.SubSchermCritters.Slider = CreateFrame('Slider', "SubSchermGroundMountsFastSlider", GUPPET_INTERFACE.SubSchermCritters.ScrollFrame , 'UIPanelScrollBarTemplateLightBorder');
		GUPPET_INTERFACE.SubSchermCritters.Slider:SetPoint('TOPRIGHT', -5, -22);
		GUPPET_INTERFACE.SubSchermCritters.Slider:SetOrientation('VERTICAL');
		GUPPET_INTERFACE.SubSchermCritters.Slider:SetWidth(20) ;
		GUPPET_INTERFACE.SubSchermCritters.Slider:SetHeight(345-32);
		GUPPET_INTERFACE.SubSchermCritters.Slider:SetScript("OnValueChanged", function (self)   GUPPET_INTERFACE.SubSchermCritters.ScrollFrameI:SetVerticalScroll( self:GetValue()  ) ;      end);
		
		GUPPET_INTERFACE.SubSchermCritters.SetEnable = CreateFrame("Button", "knop", GUPPET_INTERFACE.SubSchermCritters.ScrollFrame , "UIPanelButtonTemplate");
		GUPPET_INTERFACE.SubSchermCritters.SetEnable:SetText( GUPPET_TEXT_OPTIONUI_ENABLE );
		GUPPET_INTERFACE.SubSchermCritters.SetEnable:SetScript("OnClick", function () GupPetPanel_SetStatus( "GUPPET_CRITTERS", 9999 , true , "Enabled" , "TotalEnabled" ); GupPetOptionInterface() ;  end) ;
		GUPPET_INTERFACE.SubSchermCritters.SetEnable:SetWidth(50); 
		GUPPET_INTERFACE.SubSchermCritters.SetEnable:SetHeight(10); 
		GUPPET_INTERFACE.SubSchermCritters.SetEnable:SetPoint("TOPRIGHT", 0 , 20);
		
		GUPPET_INTERFACE.SubSchermCritters.SetDisable = CreateFrame("Button", "knop", GUPPET_INTERFACE.SubSchermCritters.ScrollFrame , "UIPanelButtonTemplate");
		GUPPET_INTERFACE.SubSchermCritters.SetDisable:SetText(GUPPET_TEXT_OPTIONUI_DISABLE);
		GUPPET_INTERFACE.SubSchermCritters.SetDisable:SetScript("OnClick", function () GupPetPanel_SetStatus( "GUPPET_CRITTERS", 9999 , false , "Enabled" , "TotalEnabled" ); GupPetOptionInterface() ;  end) ;
		GUPPET_INTERFACE.SubSchermCritters.SetDisable:SetWidth(50); 
		GUPPET_INTERFACE.SubSchermCritters.SetDisable:SetHeight(10); 
		GUPPET_INTERFACE.SubSchermCritters.SetDisable:SetPoint("TOPRIGHT", 0 , 10);
		
		
		----
		GUPPET_INTERFACE.SubSchermCritters.AutoCallCritter = CreateFrame("CheckButton", "Knop_"  , GUPPET_INTERFACE.SubSchermCritters, "OptionsCheckButtonTemplate");
		GUPPET_INTERFACE.SubSchermCritters.AutoCallCritter:SetWidth(20); 
		GUPPET_INTERFACE.SubSchermCritters.AutoCallCritter:SetHeight(20); 
		GUPPET_INTERFACE.SubSchermCritters.AutoCallCritter:SetPoint("TOPLEFT", 100, -11 );
		GUPPET_INTERFACE.SubSchermCritters.AutoCallCritter:RegisterForClicks("AnyUp");
		GUPPET_INTERFACE.SubSchermCritters.AutoCallCritter:SetScript("OnClick", function (self, button, down)    GupPet_AutoCallCritterSetEnable( self:GetChecked() , GUPPET_OPTIONS.AutoCallCritterCityOnly )  end);
		
				
		GUPPET_INTERFACE.SubSchermCritters.AutoCallCritterT = CreateFrame("SimpleHTML", "Tekst" , GUPPET_INTERFACE.SubSchermCritters , "UIPanelButtonTemplate" );
		GUPPET_INTERFACE.SubSchermCritters.AutoCallCritterT:SetWidth(200); 
		GUPPET_INTERFACE.SubSchermCritters.AutoCallCritterT:SetHeight(20); 
		GUPPET_INTERFACE.SubSchermCritters.AutoCallCritterT:SetPoint("TOPLEFT", 120 , -15 );
		GUPPET_INTERFACE.SubSchermCritters.AutoCallCritterT:SetFont('Fonts\\FRIZQT__.TTF', 10);
		
		GUPPET_INTERFACE.SubSchermCritters.AutoCallCritter:SetChecked(  GUPPET_OPTIONS.AutoCallCritter ); 
		GUPPET_INTERFACE.SubSchermCritters.AutoCallCritterT:SetText( GUPPET_TEXT_OPTIONUI_AUTOCALLCRITTER  ) ;
		
		----
		GUPPET_INTERFACE.SubSchermCritters.AutoCallCritterCityOnly = CreateFrame("CheckButton", "Knop_"  , GUPPET_INTERFACE.SubSchermCritters, "OptionsCheckButtonTemplate");
		GUPPET_INTERFACE.SubSchermCritters.AutoCallCritterCityOnly:SetWidth(20); 
		GUPPET_INTERFACE.SubSchermCritters.AutoCallCritterCityOnly:SetHeight(20); 
		GUPPET_INTERFACE.SubSchermCritters.AutoCallCritterCityOnly:SetPoint("TOPLEFT", 110, -26 );
		GUPPET_INTERFACE.SubSchermCritters.AutoCallCritterCityOnly:RegisterForClicks("AnyUp");
		GUPPET_INTERFACE.SubSchermCritters.AutoCallCritterCityOnly:SetScript("OnClick", function (self, button, down)    GupPet_AutoCallCritterSetEnable( true , self:GetChecked() )  end);
						
		GUPPET_INTERFACE.SubSchermCritters.AutoCallCritterCityOnlyT = CreateFrame("SimpleHTML", "Tekst" , GUPPET_INTERFACE.SubSchermCritters , "UIPanelButtonTemplate" );
		GUPPET_INTERFACE.SubSchermCritters.AutoCallCritterCityOnlyT:SetWidth(200); 
		GUPPET_INTERFACE.SubSchermCritters.AutoCallCritterCityOnlyT:SetHeight(20); 
		GUPPET_INTERFACE.SubSchermCritters.AutoCallCritterCityOnlyT:SetPoint("TOPLEFT", 130 , -30 );
		GUPPET_INTERFACE.SubSchermCritters.AutoCallCritterCityOnlyT:SetFont('Fonts\\FRIZQT__.TTF', 10);		
		
		GUPPET_INTERFACE.SubSchermCritters.AutoCallCritterCityOnly:SetChecked(  GUPPET_OPTIONS.AutoCallCritterCityOnly ); 
		GUPPET_INTERFACE.SubSchermCritters.AutoCallCritterCityOnlyT:SetText( GUPPET_TEXT_OPTIONUI_AUTOCALLCRITTERCITYONLY  ) ;
		
		---
		
		GUPPET_INTERFACE.SubSchermCritters.Left = {} ;
		GUPPET_INTERFACE.SubSchermCritters.LeftT = {} ;
		
		GUPPET_INTERFACE.SubSchermCritters.Right = {} ;
		GUPPET_INTERFACE.SubSchermCritters.RightT = {} ;
		
		GUPPET_INTERFACE.SubSchermCritters.Left["Temp"] = 0 ;	
		GUPPET_INTERFACE.SubSchermCritters.RightT["Temp"] = 0 ;	
		
	end
	
	t_i = 0 ;
	

	for i = 1 , math.ceil(GUPPET_CRITTERS["Total"]/2)  do
				
		if (GUPPET_INTERFACE.Init == 0 or GUPPET_INTERFACE.SubSchermCritters.Left.Temp < i ) then 		
	
			GUPPET_INTERFACE.SubSchermCritters.Left[ i ] = CreateFrame("CheckButton", "Knop_"  , GUPPET_INTERFACE.SubSchermCritters.Frame, "OptionsCheckButtonTemplate");
			GUPPET_INTERFACE.SubSchermCritters.Left[ i ]:SetWidth(20); 
			GUPPET_INTERFACE.SubSchermCritters.Left[ i ]:SetHeight(20); 
			GUPPET_INTERFACE.SubSchermCritters.Left[ i ]:SetPoint("TOPLEFT", 0, 15 - (i*15));
			GUPPET_INTERFACE.SubSchermCritters.Left[ i ]:RegisterForClicks("AnyUp");
			GUPPET_INTERFACE.SubSchermCritters.Left[ i ]:SetScript("OnClick", function (self, button, down)    GupPetPanel_SetStatus( "GUPPET_CRITTERS" , self:GetID() , self:GetChecked() , "Enabled" , "TotalEnabled" )  end);
						
			GUPPET_INTERFACE.SubSchermCritters.LeftT[ i ] = CreateFrame("SimpleHTML", "Tekst" , GUPPET_INTERFACE.SubSchermCritters.Frame , "UIPanelButtonTemplate" );
			GUPPET_INTERFACE.SubSchermCritters.LeftT[ i ]:SetWidth(200); 
			GUPPET_INTERFACE.SubSchermCritters.LeftT[ i ]:SetHeight(20); 
			GUPPET_INTERFACE.SubSchermCritters.LeftT[ i ]:SetPoint("TOPLEFT", 20 , 11 - (i*15));
			GUPPET_INTERFACE.SubSchermCritters.LeftT[ i ]:SetFont('Fonts\\FRIZQT__.TTF', 10);
		end			
		
		GUPPET_INTERFACE.SubSchermCritters.Left[ i ]:SetID(i);
		GUPPET_INTERFACE.SubSchermCritters.Left[ i ]:SetChecked(  GUPPET_CRITTERS[ i ]["Enabled"] ); 
		GUPPET_INTERFACE.SubSchermCritters.LeftT[ i ]:SetText( GUPPET_CRITTERS[ i ]["Name"]  ) ;
	
		t_i = i ;
	end	
	GUPPET_INTERFACE.SubSchermCritters.Left.Temp =  t_i ;
	t_i = 0 ;
	
	
	for i = 1 , GUPPET_CRITTERS["Total"]- math.ceil(GUPPET_CRITTERS["Total"]/2)  do
				
		if (GUPPET_INTERFACE.Init == 0 or GUPPET_INTERFACE.SubSchermCritters.Right.Temp < i ) then 		
	
			GUPPET_INTERFACE.SubSchermCritters.Right[ i ] = CreateFrame("CheckButton", "Knop_"  , GUPPET_INTERFACE.SubSchermCritters.Frame, "OptionsCheckButtonTemplate");
			GUPPET_INTERFACE.SubSchermCritters.Right[ i ]:SetWidth(20); 
			GUPPET_INTERFACE.SubSchermCritters.Right[ i ]:SetHeight(20); 
			GUPPET_INTERFACE.SubSchermCritters.Right[ i ]:SetPoint("TOPLEFT", 202, 15 - ((i)*15));
			GUPPET_INTERFACE.SubSchermCritters.Right[ i ]:RegisterForClicks("AnyUp");
			GUPPET_INTERFACE.SubSchermCritters.Right[ i ]:SetScript("OnClick", function (self, button, down)    GupPetPanel_SetStatus( "GUPPET_CRITTERS" , self:GetID() , self:GetChecked() , "Enabled" , "TotalEnabled" )  end);
						
			GUPPET_INTERFACE.SubSchermCritters.RightT[ i ] = CreateFrame("SimpleHTML", "Tekst" , GUPPET_INTERFACE.SubSchermCritters.Frame , "UIPanelButtonTemplate" );
			GUPPET_INTERFACE.SubSchermCritters.RightT[ i ]:SetWidth(200); 
			GUPPET_INTERFACE.SubSchermCritters.RightT[ i ]:SetHeight(20); 
			GUPPET_INTERFACE.SubSchermCritters.RightT[ i ]:SetPoint("TOPLEFT", 222 , 11 - ((i)*15));
			GUPPET_INTERFACE.SubSchermCritters.RightT[ i ]:SetFont('Fonts\\FRIZQT__.TTF', 10);
		end			
		
		GUPPET_INTERFACE.SubSchermCritters.Right[ i ]:SetID(i+math.ceil(GUPPET_CRITTERS["Total"]/2));
		GUPPET_INTERFACE.SubSchermCritters.Right[ i ]:SetChecked(  GUPPET_CRITTERS[ i+math.ceil(GUPPET_CRITTERS["Total"]/2) ]["Enabled"] ); 
		GUPPET_INTERFACE.SubSchermCritters.RightT[ i ]:SetText( GUPPET_CRITTERS[ i+math.ceil(GUPPET_CRITTERS["Total"]/2) ]["Name"]  ) ;
	
		t_i = i ;
	end	
	GUPPET_INTERFACE.SubSchermCritters.Right.Temp =  t_i ;
	
	
	
	if math.ceil(GUPPET_CRITTERS["Total"]/2)*15 > 345 then   
		GUPPET_INTERFACE.SubSchermCritters.Slider:SetMinMaxValues(0 , (math.ceil(GUPPET_CRITTERS["Total"]/2)*15-345) );
		GUPPET_INTERFACE.SubSchermCritters.Slider:SetValueStep(15) ;
		GUPPET_INTERFACE.SubSchermCritters.Slider:SetValue(0);
		GUPPET_INTERFACE.SubSchermCritters.Slider:Show() ;
	else
		GUPPET_INTERFACE.SubSchermCritters.Slider:Hide()	;
	end
	

	
	GupPet_Debug( "GupPetOptionInterface Passed Critter" );
	

	----------------------------------------------------------
	
	
-- ############################################# 
-- #############################################  LOCATION DEPENDED
-- #############################################	
	
	if (GUPPET_INTERFACE.Init == 0 ) then
		-- SubScherm FlyMounts
		GUPPET_INTERFACE.SubSchermLocationDependent = CreateFrame("ScrollFrame", "GupPetMounts"); 
		GUPPET_INTERFACE.SubSchermLocationDependent.name = GUPPET_TEXT_OPTIONUI_LOCATIONDEPENDENT; 
		GUPPET_INTERFACE.SubSchermLocationDependent.parent = "Gup Pet"; 

		
		GUPPET_INTERFACE.SubSchermLocationDependent.Titel = CreateFrame("SimpleHTML", "Titel" , GUPPET_INTERFACE.SubSchermLocationDependent );
		GUPPET_INTERFACE.SubSchermLocationDependent.Titel:SetWidth(200); 
		GUPPET_INTERFACE.SubSchermLocationDependent.Titel:SetHeight(15); 
		GUPPET_INTERFACE.SubSchermLocationDependent.Titel:SetPoint("TOPLEFT", 10 , -15);
		GUPPET_INTERFACE.SubSchermLocationDependent.Titel:SetText("|cFFFFDE00".. GUPPET_TEXT_OPTIONUI_LOCATIONDEPENDENT) ;
		GUPPET_INTERFACE.SubSchermLocationDependent.Titel:SetFont('Fonts\\FRIZQT__.TTF', 15);
		
					
		-- Maak een lijstje voor te enable / disable 
		GUPPET_INTERFACE.SubSchermLocationDependent.City = {} ;
		GUPPET_INTERFACE.SubSchermLocationDependent.CityT = {} ;	
		
		GUPPET_INTERFACE.SubSchermLocationDependent.City.Titel = CreateFrame("SimpleHTML", "Tekst" , GUPPET_INTERFACE.SubSchermLocationDependent , "UIPanelButtonTemplate" );
		GUPPET_INTERFACE.SubSchermLocationDependent.City.Titel:SetWidth(200); 
		GUPPET_INTERFACE.SubSchermLocationDependent.City.Titel:SetHeight(20); 
		GUPPET_INTERFACE.SubSchermLocationDependent.City.Titel:SetPoint("TOPLEFT", 20 , -40);
		GUPPET_INTERFACE.SubSchermLocationDependent.City.Titel:SetText( GUPPET_TEXT_OPTIONUI_CITY) ;
		GUPPET_INTERFACE.SubSchermLocationDependent.City.Titel:SetFont('Fonts\\FRIZQT__.TTF', 13);

				--Frame met alle Gegevens
		GUPPET_INTERFACE.SubSchermLocationDependent.City.Frame = CreateFrame("FRAME", "SubSchermCityFrame" );   
		GUPPET_INTERFACE.SubSchermLocationDependent.City.Frame:SetWidth(180);
		GUPPET_INTERFACE.SubSchermLocationDependent.City.Frame:SetHeight(900);
	
		-- Buiten frame met rand
		GUPPET_INTERFACE.SubSchermLocationDependent.City.ScrollFrame = CreateFrame("FRAME", "SubSchermGroundMounfgtsSlowScrollFrame", GUPPET_INTERFACE.SubSchermLocationDependent , "OptionsBoxTemplate"); 
		GUPPET_INTERFACE.SubSchermLocationDependent.City.ScrollFrame:SetWidth(190);
		GUPPET_INTERFACE.SubSchermLocationDependent.City.ScrollFrame:SetHeight(147); --355			--355-60/2
		GUPPET_INTERFACE.SubSchermLocationDependent.City.ScrollFrame:SetPoint("TOPLEFT", 10 , -60);
			
		GUPPET_INTERFACE.SubSchermLocationDependent.City.ScrollFrameI = CreateFrame("ScrollFrame", "SubSchermGrounfgdMountsSlowScrollFrameI", GUPPET_INTERFACE.SubSchermLocationDependent.City.ScrollFrame); 
		GUPPET_INTERFACE.SubSchermLocationDependent.City.ScrollFrameI:SetWidth(180);
		GUPPET_INTERFACE.SubSchermLocationDependent.City.ScrollFrameI:SetHeight(137); --345
		GUPPET_INTERFACE.SubSchermLocationDependent.City.ScrollFrameI:SetPoint("TOP", 0 , -5);
		GUPPET_INTERFACE.SubSchermLocationDependent.City.ScrollFrameI:SetVerticalScroll( -0 ) ;
		GUPPET_INTERFACE.SubSchermLocationDependent.City.ScrollFrameI:SetScrollChild( GUPPET_INTERFACE.SubSchermLocationDependent.City.Frame ) ; 
		
		GUPPET_INTERFACE.SubSchermLocationDependent.City.Slider = CreateFrame('Slider', "SubSchermFlyMounfgtsSlowSlider", GUPPET_INTERFACE.SubSchermLocationDependent.City.ScrollFrame , 'UIPanelScrollBarTemplateLightBorder');
		GUPPET_INTERFACE.SubSchermLocationDependent.City.Slider:SetPoint('TOPRIGHT', -5, -22);
		GUPPET_INTERFACE.SubSchermLocationDependent.City.Slider:SetOrientation('VERTICAL');
		GUPPET_INTERFACE.SubSchermLocationDependent.City.Slider:SetWidth(20) ;
		GUPPET_INTERFACE.SubSchermLocationDependent.City.Slider:SetHeight(137-32); --345
		GUPPET_INTERFACE.SubSchermLocationDependent.City.Slider:SetScript("OnValueChanged", function (self)   GUPPET_INTERFACE.SubSchermLocationDependent.City.ScrollFrameI:SetVerticalScroll( self:GetValue()  ) ;      end);
		
		GUPPET_INTERFACE.SubSchermLocationDependent.City.SetEnable = CreateFrame("Button", "knop", GUPPET_INTERFACE.SubSchermLocationDependent.City.ScrollFrame , "UIPanelButtonTemplate");
		GUPPET_INTERFACE.SubSchermLocationDependent.City.SetEnable:SetText(GUPPET_TEXT_OPTIONUI_ENABLE);
		GUPPET_INTERFACE.SubSchermLocationDependent.City.SetEnable:SetScript("OnClick", function () GupPetPanel_SetStatus( "FastGroundMount", 9999 , true , "EnabledCity" , "TotalEnabledCity" ); GupPetOptionInterface() ;  end) ;
		GUPPET_INTERFACE.SubSchermLocationDependent.City.SetEnable:SetWidth(50); 
		GUPPET_INTERFACE.SubSchermLocationDependent.City.SetEnable:SetHeight(10); 
		GUPPET_INTERFACE.SubSchermLocationDependent.City.SetEnable:SetPoint("TOPRIGHT", 0 , 20);
		
		GUPPET_INTERFACE.SubSchermLocationDependent.City.SetDisable = CreateFrame("Button", "knop", GUPPET_INTERFACE.SubSchermLocationDependent.City.ScrollFrame , "UIPanelButtonTemplate");
		GUPPET_INTERFACE.SubSchermLocationDependent.City.SetDisable:SetText(GUPPET_TEXT_OPTIONUI_DISABLE);
		GUPPET_INTERFACE.SubSchermLocationDependent.City.SetDisable:SetScript("OnClick", function () GupPetPanel_SetStatus( "FastGroundMount", 9999 , false , "EnabledCity" , "TotalEnabledCity" ); GupPetOptionInterface() ;  end) ;
		GUPPET_INTERFACE.SubSchermLocationDependent.City.SetDisable:SetWidth(50); 
		GUPPET_INTERFACE.SubSchermLocationDependent.City.SetDisable:SetHeight(10); 
		GUPPET_INTERFACE.SubSchermLocationDependent.City.SetDisable:SetPoint("TOPRIGHT", 0 , 10);
		
		GUPPET_INTERFACE.SubSchermLocationDependent.City.Temp = 0 ;

		
		-- Maak een lijstje voor te enable / disable 
		GUPPET_INTERFACE.SubSchermLocationDependent.Instance = {} ;
		GUPPET_INTERFACE.SubSchermLocationDependent.InstanceT = {} ;	
		
		GUPPET_INTERFACE.SubSchermLocationDependent.Instance.Titel = CreateFrame("SimpleHTML", "Tekst" , GUPPET_INTERFACE.SubSchermLocationDependent , "UIPanelButtonTemplate" );
		GUPPET_INTERFACE.SubSchermLocationDependent.Instance.Titel:SetWidth(200); 
		GUPPET_INTERFACE.SubSchermLocationDependent.Instance.Titel:SetHeight(20); 
		GUPPET_INTERFACE.SubSchermLocationDependent.Instance.Titel:SetPoint("TOPLEFT", 220 , -40 );
		GUPPET_INTERFACE.SubSchermLocationDependent.Instance.Titel:SetText( GUPPET_TEXT_OPTIONUI_INSTANCE ) ;
		GUPPET_INTERFACE.SubSchermLocationDependent.Instance.Titel:SetFont('Fonts\\FRIZQT__.TTF', 13);

				--Frame met alle Gegevens
		GUPPET_INTERFACE.SubSchermLocationDependent.Instance.Frame = CreateFrame("FRAME", "SubSchermCityFrame" );   
		GUPPET_INTERFACE.SubSchermLocationDependent.Instance.Frame:SetWidth(180);
		GUPPET_INTERFACE.SubSchermLocationDependent.Instance.Frame:SetHeight(900);
	
		-- Buiten frame met rand
		GUPPET_INTERFACE.SubSchermLocationDependent.Instance.ScrollFrame = CreateFrame("FRAME", "SubSchermGroundMoeruntersSlowScrollFrame", GUPPET_INTERFACE.SubSchermLocationDependent , "OptionsBoxTemplate"); 
		GUPPET_INTERFACE.SubSchermLocationDependent.Instance.ScrollFrame:SetWidth(190);
		GUPPET_INTERFACE.SubSchermLocationDependent.Instance.ScrollFrame:SetHeight(147); --355			--355-60/2
		GUPPET_INTERFACE.SubSchermLocationDependent.Instance.ScrollFrame:SetPoint("TOPRIGHT", -10 , -60);
			
		GUPPET_INTERFACE.SubSchermLocationDependent.Instance.ScrollFrameI = CreateFrame("ScrollFrame", "SubSchermGrounderMountsSlowScrollFrameI", GUPPET_INTERFACE.SubSchermLocationDependent.Instance.ScrollFrame); 
		GUPPET_INTERFACE.SubSchermLocationDependent.Instance.ScrollFrameI:SetWidth(180);
		GUPPET_INTERFACE.SubSchermLocationDependent.Instance.ScrollFrameI:SetHeight(137); --345
		GUPPET_INTERFACE.SubSchermLocationDependent.Instance.ScrollFrameI:SetPoint("TOP", 0 , -5);
		GUPPET_INTERFACE.SubSchermLocationDependent.Instance.ScrollFrameI:SetVerticalScroll( -0 ) ;
		GUPPET_INTERFACE.SubSchermLocationDependent.Instance.ScrollFrameI:SetScrollChild( GUPPET_INTERFACE.SubSchermLocationDependent.Instance.Frame ) ; 
		
		GUPPET_INTERFACE.SubSchermLocationDependent.Instance.Slider = CreateFrame('Slider', "SubSchermFlyMountsSrelowSlider", GUPPET_INTERFACE.SubSchermLocationDependent.Instance.ScrollFrame , 'UIPanelScrollBarTemplateLightBorder');
		GUPPET_INTERFACE.SubSchermLocationDependent.Instance.Slider:SetPoint('TOPRIGHT', -5, -22);
		GUPPET_INTERFACE.SubSchermLocationDependent.Instance.Slider:SetOrientation('VERTICAL');
		GUPPET_INTERFACE.SubSchermLocationDependent.Instance.Slider:SetWidth(20) ;
		GUPPET_INTERFACE.SubSchermLocationDependent.Instance.Slider:SetHeight(137-32); --345
		GUPPET_INTERFACE.SubSchermLocationDependent.Instance.Slider:SetScript("OnValueChanged", function (self)   GUPPET_INTERFACE.SubSchermLocationDependent.Instance.ScrollFrameI:SetVerticalScroll( self:GetValue()  ) ;      end);
		
		GUPPET_INTERFACE.SubSchermLocationDependent.Instance.SetEnable = CreateFrame("Button", "knop", GUPPET_INTERFACE.SubSchermLocationDependent.Instance.ScrollFrame , "UIPanelButtonTemplate");
		GUPPET_INTERFACE.SubSchermLocationDependent.Instance.SetEnable:SetText(GUPPET_TEXT_OPTIONUI_ENABLE);
		GUPPET_INTERFACE.SubSchermLocationDependent.Instance.SetEnable:SetScript("OnClick", function () GupPetPanel_SetStatus( "FastGroundMount", 9999 , true , "EnabledInstance" , "TotalEnabledInstance" ); GupPetOptionInterface() ;  end) ;
		GUPPET_INTERFACE.SubSchermLocationDependent.Instance.SetEnable:SetWidth(50); 
		GUPPET_INTERFACE.SubSchermLocationDependent.Instance.SetEnable:SetHeight(10); 
		GUPPET_INTERFACE.SubSchermLocationDependent.Instance.SetEnable:SetPoint("TOPRIGHT", 0 , 20);
		
		GUPPET_INTERFACE.SubSchermLocationDependent.Instance.SetDisable = CreateFrame("Button", "knop", GUPPET_INTERFACE.SubSchermLocationDependent.Instance.ScrollFrame , "UIPanelButtonTemplate");
		GUPPET_INTERFACE.SubSchermLocationDependent.Instance.SetDisable:SetText(GUPPET_TEXT_OPTIONUI_DISABLE);
		GUPPET_INTERFACE.SubSchermLocationDependent.Instance.SetDisable:SetScript("OnClick", function () GupPetPanel_SetStatus( "FastGroundMount", 9999 , false , "EnabledInstance" , "TotalEnabledInstance" ); GupPetOptionInterface() ;  end) ;
		GUPPET_INTERFACE.SubSchermLocationDependent.Instance.SetDisable:SetWidth(50); 
		GUPPET_INTERFACE.SubSchermLocationDependent.Instance.SetDisable:SetHeight(10); 
		GUPPET_INTERFACE.SubSchermLocationDependent.Instance.SetDisable:SetPoint("TOPRIGHT", 0 , 10);
		
		GUPPET_INTERFACE.SubSchermLocationDependent.Instance.Temp = 0 ;
		
		-- Maak een lijstje voor te enable / disable 
		GUPPET_INTERFACE.SubSchermLocationDependent.Arena = {} ;
		GUPPET_INTERFACE.SubSchermLocationDependent.ArenaT = {} ;	
		
		GUPPET_INTERFACE.SubSchermLocationDependent.Arena.Titel = CreateFrame("SimpleHTML", "Tekst" , GUPPET_INTERFACE.SubSchermLocationDependent , "UIPanelButtonTemplate" );
		GUPPET_INTERFACE.SubSchermLocationDependent.Arena.Titel:SetWidth(200); 
		GUPPET_INTERFACE.SubSchermLocationDependent.Arena.Titel:SetHeight(20); 
		GUPPET_INTERFACE.SubSchermLocationDependent.Arena.Titel:SetPoint("TOPLEFT", 20 , -40-40-147);
		GUPPET_INTERFACE.SubSchermLocationDependent.Arena.Titel:SetText( GUPPET_TEXT_OPTIONUI_ARENA ) ;
		GUPPET_INTERFACE.SubSchermLocationDependent.Arena.Titel:SetFont('Fonts\\FRIZQT__.TTF', 13);

				--Frame met alle Gegevens
		GUPPET_INTERFACE.SubSchermLocationDependent.Arena.Frame = CreateFrame("FRAME", "SubSchermArenaFrame" );   
		GUPPET_INTERFACE.SubSchermLocationDependent.Arena.Frame:SetWidth(180);
		GUPPET_INTERFACE.SubSchermLocationDependent.Arena.Frame:SetHeight(900);
	
		-- Buiten frame met rand
		GUPPET_INTERFACE.SubSchermLocationDependent.Arena.ScrollFrame = CreateFrame("FRAME", "SubScheerrmGroundMountsSlowScrollFrame", GUPPET_INTERFACE.SubSchermLocationDependent , "OptionsBoxTemplate"); 
		GUPPET_INTERFACE.SubSchermLocationDependent.Arena.ScrollFrame:SetWidth(190);
		GUPPET_INTERFACE.SubSchermLocationDependent.Arena.ScrollFrame:SetHeight(147); --355			--355-60/2
		GUPPET_INTERFACE.SubSchermLocationDependent.Arena.ScrollFrame:SetPoint("TOPLEFT", 10 , -40-60-147);
			
		GUPPET_INTERFACE.SubSchermLocationDependent.Arena.ScrollFrameI = CreateFrame("ScrollFrame", "SubSchermGroundgfMountsSlowScrollFrameI", GUPPET_INTERFACE.SubSchermLocationDependent.Arena.ScrollFrame); 
		GUPPET_INTERFACE.SubSchermLocationDependent.Arena.ScrollFrameI:SetWidth(180);
		GUPPET_INTERFACE.SubSchermLocationDependent.Arena.ScrollFrameI:SetHeight(137); --345
		GUPPET_INTERFACE.SubSchermLocationDependent.Arena.ScrollFrameI:SetPoint("TOP", 0 , -5);
		GUPPET_INTERFACE.SubSchermLocationDependent.Arena.ScrollFrameI:SetVerticalScroll( -0 ) ;
		GUPPET_INTERFACE.SubSchermLocationDependent.Arena.ScrollFrameI:SetScrollChild( GUPPET_INTERFACE.SubSchermLocationDependent.Arena.Frame ) ; 
		
		GUPPET_INTERFACE.SubSchermLocationDependent.Arena.Slider = CreateFrame('Slider', "SubSchermFleryMountsSlowSlider", GUPPET_INTERFACE.SubSchermLocationDependent.Arena.ScrollFrame , 'UIPanelScrollBarTemplateLightBorder');
		GUPPET_INTERFACE.SubSchermLocationDependent.Arena.Slider:SetPoint('TOPRIGHT', -5, -22);
		GUPPET_INTERFACE.SubSchermLocationDependent.Arena.Slider:SetOrientation('VERTICAL');
		GUPPET_INTERFACE.SubSchermLocationDependent.Arena.Slider:SetWidth(20) ;
		GUPPET_INTERFACE.SubSchermLocationDependent.Arena.Slider:SetHeight(137-32); --345
		GUPPET_INTERFACE.SubSchermLocationDependent.Arena.Slider:SetScript("OnValueChanged", function (self)   GUPPET_INTERFACE.SubSchermLocationDependent.Arena.ScrollFrameI:SetVerticalScroll( self:GetValue()  ) ;      end);
		
		GUPPET_INTERFACE.SubSchermLocationDependent.Arena.SetEnable = CreateFrame("Button", "knop", GUPPET_INTERFACE.SubSchermLocationDependent.Arena.ScrollFrame , "UIPanelButtonTemplate");
		GUPPET_INTERFACE.SubSchermLocationDependent.Arena.SetEnable:SetText(GUPPET_TEXT_OPTIONUI_ENABLE);
		GUPPET_INTERFACE.SubSchermLocationDependent.Arena.SetEnable:SetScript("OnClick", function () GupPetPanel_SetStatus( "FastGroundMount", 9999 , true , "EnabledArena" , "TotalEnabledArena" ); GupPetOptionInterface() ;  end) ;
		GUPPET_INTERFACE.SubSchermLocationDependent.Arena.SetEnable:SetWidth(50); 
		GUPPET_INTERFACE.SubSchermLocationDependent.Arena.SetEnable:SetHeight(10); 
		GUPPET_INTERFACE.SubSchermLocationDependent.Arena.SetEnable:SetPoint("TOPRIGHT", 0 , 20);
		
		GUPPET_INTERFACE.SubSchermLocationDependent.Arena.SetDisable = CreateFrame("Button", "knop", GUPPET_INTERFACE.SubSchermLocationDependent.Arena.ScrollFrame , "UIPanelButtonTemplate");
		GUPPET_INTERFACE.SubSchermLocationDependent.Arena.SetDisable:SetText(GUPPET_TEXT_OPTIONUI_DISABLE);
		GUPPET_INTERFACE.SubSchermLocationDependent.Arena.SetDisable:SetScript("OnClick", function () GupPetPanel_SetStatus( "FastGroundMount", 9999 , false , "EnabledArena" , "TotalEnabledArena" ); GupPetOptionInterface() ;  end) ;
		GUPPET_INTERFACE.SubSchermLocationDependent.Arena.SetDisable:SetWidth(50); 
		GUPPET_INTERFACE.SubSchermLocationDependent.Arena.SetDisable:SetHeight(10); 
		GUPPET_INTERFACE.SubSchermLocationDependent.Arena.SetDisable:SetPoint("TOPRIGHT", 0 , 10);
		
		GUPPET_INTERFACE.SubSchermLocationDependent.Arena.Temp = 0 ;
		
		----
		---- BattleGround
		----
		
		-- Maak een lijstje voor te enable / disable 
		GUPPET_INTERFACE.SubSchermLocationDependent.BattleGround = {} ;
		GUPPET_INTERFACE.SubSchermLocationDependent.BattleGroundT = {} ;	
		
		GUPPET_INTERFACE.SubSchermLocationDependent.BattleGround.Titel = CreateFrame("SimpleHTML", "Tekst" , GUPPET_INTERFACE.SubSchermLocationDependent , "UIPanelButtonTemplate" );
		GUPPET_INTERFACE.SubSchermLocationDependent.BattleGround.Titel:SetWidth(200); 
		GUPPET_INTERFACE.SubSchermLocationDependent.BattleGround.Titel:SetHeight(20); 
		GUPPET_INTERFACE.SubSchermLocationDependent.BattleGround.Titel:SetPoint("TOPLEFT", 220 , -40-40-147 );
		GUPPET_INTERFACE.SubSchermLocationDependent.BattleGround.Titel:SetText( GUPPET_TEXT_OPTIONUI_BATTLEGROUND ) ;
		GUPPET_INTERFACE.SubSchermLocationDependent.BattleGround.Titel:SetFont('Fonts\\FRIZQT__.TTF', 13);

				--Frame met alle Gegevens
		GUPPET_INTERFACE.SubSchermLocationDependent.BattleGround.Frame = CreateFrame("FRAME", "SubSchermArenaFrame" );   
		GUPPET_INTERFACE.SubSchermLocationDependent.BattleGround.Frame:SetWidth(180);
		GUPPET_INTERFACE.SubSchermLocationDependent.BattleGround.Frame:SetHeight(900);
	
		-- Buiten frame met rand
		GUPPET_INTERFACE.SubSchermLocationDependent.BattleGround.ScrollFrame = CreateFrame("FRAME", "SubSchermGroundMounfgtsSlowScrollFrame", GUPPET_INTERFACE.SubSchermLocationDependent , "OptionsBoxTemplate"); 
		GUPPET_INTERFACE.SubSchermLocationDependent.BattleGround.ScrollFrame:SetWidth(190);
		GUPPET_INTERFACE.SubSchermLocationDependent.BattleGround.ScrollFrame:SetHeight(147); --355			--355-60/2
		GUPPET_INTERFACE.SubSchermLocationDependent.BattleGround.ScrollFrame:SetPoint("TOPRIGHT", -10 , -40-60-147);
			
		GUPPET_INTERFACE.SubSchermLocationDependent.BattleGround.ScrollFrameI = CreateFrame("ScrollFrame", "SubSchermGroundMoufgntsSlowScrollFrameI", GUPPET_INTERFACE.SubSchermLocationDependent.BattleGround.ScrollFrame); 
		GUPPET_INTERFACE.SubSchermLocationDependent.BattleGround.ScrollFrameI:SetWidth(180);
		GUPPET_INTERFACE.SubSchermLocationDependent.BattleGround.ScrollFrameI:SetHeight(137); --345
		GUPPET_INTERFACE.SubSchermLocationDependent.BattleGround.ScrollFrameI:SetPoint("TOP", 0 , -5);
		GUPPET_INTERFACE.SubSchermLocationDependent.BattleGround.ScrollFrameI:SetVerticalScroll( -0 ) ;
		GUPPET_INTERFACE.SubSchermLocationDependent.BattleGround.ScrollFrameI:SetScrollChild( GUPPET_INTERFACE.SubSchermLocationDependent.BattleGround.Frame ) ; 
		
		GUPPET_INTERFACE.SubSchermLocationDependent.BattleGround.Slider = CreateFrame('Slider', "SubSchermFlyMoufgntsSlowSlider", GUPPET_INTERFACE.SubSchermLocationDependent.BattleGround.ScrollFrame , 'UIPanelScrollBarTemplateLightBorder');
		GUPPET_INTERFACE.SubSchermLocationDependent.BattleGround.Slider:SetPoint('TOPRIGHT', -5, -22);
		GUPPET_INTERFACE.SubSchermLocationDependent.BattleGround.Slider:SetOrientation('VERTICAL');
		GUPPET_INTERFACE.SubSchermLocationDependent.BattleGround.Slider:SetWidth(20) ;
		GUPPET_INTERFACE.SubSchermLocationDependent.BattleGround.Slider:SetHeight(137-32); --345
		GUPPET_INTERFACE.SubSchermLocationDependent.BattleGround.Slider:SetScript("OnValueChanged", function (self)   GUPPET_INTERFACE.SubSchermLocationDependent.BattleGround.ScrollFrameI:SetVerticalScroll( self:GetValue()  ) ;      end);
		
		GUPPET_INTERFACE.SubSchermLocationDependent.BattleGround.SetEnable = CreateFrame("Button", "knop", GUPPET_INTERFACE.SubSchermLocationDependent.BattleGround.ScrollFrame , "UIPanelButtonTemplate");
		GUPPET_INTERFACE.SubSchermLocationDependent.BattleGround.SetEnable:SetText(GUPPET_TEXT_OPTIONUI_ENABLE);
		GUPPET_INTERFACE.SubSchermLocationDependent.BattleGround.SetEnable:SetScript("OnClick", function () GupPetPanel_SetStatus( "FastGroundMount", 9999 , true , "EnabledBattleGround" , "TotalEnabledBattleGround" ); GupPetOptionInterface() ;  end) ;
		GUPPET_INTERFACE.SubSchermLocationDependent.BattleGround.SetEnable:SetWidth(50); 
		GUPPET_INTERFACE.SubSchermLocationDependent.BattleGround.SetEnable:SetHeight(10); 
		GUPPET_INTERFACE.SubSchermLocationDependent.BattleGround.SetEnable:SetPoint("TOPRIGHT", 0 , 20);
		
		GUPPET_INTERFACE.SubSchermLocationDependent.BattleGround.SetDisable = CreateFrame("Button", "knop", GUPPET_INTERFACE.SubSchermLocationDependent.BattleGround.ScrollFrame , "UIPanelButtonTemplate");
		GUPPET_INTERFACE.SubSchermLocationDependent.BattleGround.SetDisable:SetText(GUPPET_TEXT_OPTIONUI_DISABLE);
		GUPPET_INTERFACE.SubSchermLocationDependent.BattleGround.SetDisable:SetScript("OnClick", function () GupPetPanel_SetStatus( "FastGroundMount", 9999 , false , "EnabledBattleGround" , "TotalEnabledBattleGround" ); GupPetOptionInterface() ;  end) ;
		GUPPET_INTERFACE.SubSchermLocationDependent.BattleGround.SetDisable:SetWidth(50); 
		GUPPET_INTERFACE.SubSchermLocationDependent.BattleGround.SetDisable:SetHeight(10); 
		GUPPET_INTERFACE.SubSchermLocationDependent.BattleGround.SetDisable:SetPoint("TOPRIGHT", 0 , 10);
		
		GUPPET_INTERFACE.SubSchermLocationDependent.BattleGround.Temp = 0 ;
	end
	
	for i = 1 , GUPPET_MOUNTS["FastGroundMount"]["Total"] do
				
		if (GUPPET_INTERFACE.Init == 0 or GUPPET_INTERFACE.SubSchermLocationDependent.City.Temp < i ) then 
			GUPPET_INTERFACE.SubSchermLocationDependent.City[ i ] = CreateFrame("CheckButton", "Knop_"  , GUPPET_INTERFACE.SubSchermLocationDependent.City.Frame, "OptionsCheckButtonTemplate");
			GUPPET_INTERFACE.SubSchermLocationDependent.City[ i ]:SetWidth(20); 
			GUPPET_INTERFACE.SubSchermLocationDependent.City[ i ]:SetHeight(20); 
			GUPPET_INTERFACE.SubSchermLocationDependent.City[ i ]:SetPoint("TOPLEFT", 0, 15 - (i*15));
			GUPPET_INTERFACE.SubSchermLocationDependent.City[ i ]:RegisterForClicks("AnyUp");
			GUPPET_INTERFACE.SubSchermLocationDependent.City[ i ]:SetScript("OnClick", function (self, button, down)    GupPetPanel_SetStatus( "FastGroundMount" , self:GetID() , self:GetChecked() , "EnabledCity" , "TotalEnabledCity" )  end);
		
				
			GUPPET_INTERFACE.SubSchermLocationDependent.CityT[ i ] = CreateFrame("SimpleHTML", "Tekst" , GUPPET_INTERFACE.SubSchermLocationDependent.City.Frame , "UIPanelButtonTemplate" );
			GUPPET_INTERFACE.SubSchermLocationDependent.CityT[ i ]:SetWidth(200); 
			GUPPET_INTERFACE.SubSchermLocationDependent.CityT[ i ]:SetHeight(20); 
			GUPPET_INTERFACE.SubSchermLocationDependent.CityT[ i ]:SetPoint("TOPLEFT", 20 , 11 - (i*15));
			GUPPET_INTERFACE.SubSchermLocationDependent.CityT[ i ]:SetFont('Fonts\\FRIZQT__.TTF', 10);
		end
		
		GUPPET_INTERFACE.SubSchermLocationDependent.City[ i ]:SetID(i);
		GUPPET_INTERFACE.SubSchermLocationDependent.City[ i ]:SetChecked(  GUPPET_MOUNTS["FastGroundMount"][ i ]["EnabledCity"] ); 
		GUPPET_INTERFACE.SubSchermLocationDependent.CityT[ i ]:SetText( GUPPET_MOUNTS["FastGroundMount"][ i ]["Name"]  ) ;
		
	
		t_i = i ;
	end	
	GUPPET_INTERFACE.SubSchermLocationDependent.City.Temp =  t_i ;
	
	
	if GUPPET_INTERFACE.SubSchermLocationDependent.City.Temp*15 > 137 then
		GUPPET_INTERFACE.SubSchermLocationDependent.City.Slider:SetMinMaxValues(0 , GUPPET_INTERFACE.SubSchermLocationDependent.City.Temp*15-137 );
		GUPPET_INTERFACE.SubSchermLocationDependent.City.Slider:SetValueStep(15) ;
		GUPPET_INTERFACE.SubSchermLocationDependent.City.Slider:SetValue(0);
		GUPPET_INTERFACE.SubSchermLocationDependent.City.Slider:Show() ;
	else
		GUPPET_INTERFACE.SubSchermLocationDependent.City.Slider:Hide()	;
	end
	
	
	for i = 1 , GUPPET_MOUNTS["FastGroundMount"]["Total"] do
				
		if (GUPPET_INTERFACE.Init == 0 or GUPPET_INTERFACE.SubSchermLocationDependent.Instance.Temp < i ) then 
			GUPPET_INTERFACE.SubSchermLocationDependent.Instance[ i ] = CreateFrame("CheckButton", "Knop_"  , GUPPET_INTERFACE.SubSchermLocationDependent.Instance.Frame, "OptionsCheckButtonTemplate");
			GUPPET_INTERFACE.SubSchermLocationDependent.Instance[ i ]:SetWidth(20); 
			GUPPET_INTERFACE.SubSchermLocationDependent.Instance[ i ]:SetHeight(20); 
			GUPPET_INTERFACE.SubSchermLocationDependent.Instance[ i ]:SetPoint("TOPLEFT", 0, 15 - (i*15));
			GUPPET_INTERFACE.SubSchermLocationDependent.Instance[ i ]:RegisterForClicks("AnyUp");
			GUPPET_INTERFACE.SubSchermLocationDependent.Instance[ i ]:SetScript("OnClick", function (self, button, down)    GupPetPanel_SetStatus( "FastGroundMount" , self:GetID() , self:GetChecked() , "EnabledInstance" , "TotalEnabledInstance" )  end);
		
				
			GUPPET_INTERFACE.SubSchermLocationDependent.InstanceT[ i ] = CreateFrame("SimpleHTML", "Tekst" , GUPPET_INTERFACE.SubSchermLocationDependent.Instance.Frame , "UIPanelButtonTemplate" );
			GUPPET_INTERFACE.SubSchermLocationDependent.InstanceT[ i ]:SetWidth(200); 
			GUPPET_INTERFACE.SubSchermLocationDependent.InstanceT[ i ]:SetHeight(20); 
			GUPPET_INTERFACE.SubSchermLocationDependent.InstanceT[ i ]:SetPoint("TOPLEFT", 20 , 11 - (i*15));
			GUPPET_INTERFACE.SubSchermLocationDependent.InstanceT[ i ]:SetFont('Fonts\\FRIZQT__.TTF', 10);
		end
		
		GUPPET_INTERFACE.SubSchermLocationDependent.Instance[ i ]:SetID(i);
		GUPPET_INTERFACE.SubSchermLocationDependent.Instance[ i ]:SetChecked(  GUPPET_MOUNTS["FastGroundMount"][ i ]["EnabledInstance"] ); 
		GUPPET_INTERFACE.SubSchermLocationDependent.InstanceT[ i ]:SetText( GUPPET_MOUNTS["FastGroundMount"][ i ]["Name"]  ) ;
		
	
		t_i = i ;
	end	
	GUPPET_INTERFACE.SubSchermLocationDependent.Instance.Temp =  t_i ;
	
	
	if GUPPET_INTERFACE.SubSchermLocationDependent.Instance.Temp*15 > 137 then
		GUPPET_INTERFACE.SubSchermLocationDependent.Instance.Slider:SetMinMaxValues(0 , GUPPET_INTERFACE.SubSchermLocationDependent.Instance.Temp*15-137 );
		GUPPET_INTERFACE.SubSchermLocationDependent.Instance.Slider:SetValueStep(15) ;
		GUPPET_INTERFACE.SubSchermLocationDependent.Instance.Slider:SetValue(0);
		GUPPET_INTERFACE.SubSchermLocationDependent.Instance.Slider:Show() ;
	else
		GUPPET_INTERFACE.SubSchermLocationDependent.Instance.Slider:Hide()	;
	end
	
	
	---------------------------------------------------
	for i = 1 , GUPPET_MOUNTS["FastGroundMount"]["Total"] do
				
		if (GUPPET_INTERFACE.Init == 0 or GUPPET_INTERFACE.SubSchermLocationDependent.Arena.Temp < i ) then 
			GUPPET_INTERFACE.SubSchermLocationDependent.Arena[ i ] = CreateFrame("CheckButton", "Knop_"  , GUPPET_INTERFACE.SubSchermLocationDependent.Arena.Frame, "OptionsCheckButtonTemplate");
			GUPPET_INTERFACE.SubSchermLocationDependent.Arena[ i ]:SetWidth(20); 
			GUPPET_INTERFACE.SubSchermLocationDependent.Arena[ i ]:SetHeight(20); 
			GUPPET_INTERFACE.SubSchermLocationDependent.Arena[ i ]:SetPoint("TOPLEFT", 0, 15 - (i*15));
			GUPPET_INTERFACE.SubSchermLocationDependent.Arena[ i ]:RegisterForClicks("AnyUp");
			GUPPET_INTERFACE.SubSchermLocationDependent.Arena[ i ]:SetScript("OnClick", function (self, button, down)    GupPetPanel_SetStatus( "FastGroundMount" , self:GetID() , self:GetChecked() , "EnabledArena" , "TotalEnabledArena" )  end);
		
				
			GUPPET_INTERFACE.SubSchermLocationDependent.ArenaT[ i ] = CreateFrame("SimpleHTML", "Tekst" , GUPPET_INTERFACE.SubSchermLocationDependent.Arena.Frame , "UIPanelButtonTemplate" );
			GUPPET_INTERFACE.SubSchermLocationDependent.ArenaT[ i ]:SetWidth(200); 
			GUPPET_INTERFACE.SubSchermLocationDependent.ArenaT[ i ]:SetHeight(20); 
			GUPPET_INTERFACE.SubSchermLocationDependent.ArenaT[ i ]:SetPoint("TOPLEFT", 20 , 11 - (i*15));
			GUPPET_INTERFACE.SubSchermLocationDependent.ArenaT[ i ]:SetFont('Fonts\\FRIZQT__.TTF', 10);
		end
		
		GUPPET_INTERFACE.SubSchermLocationDependent.Arena[ i ]:SetID(i);
		GUPPET_INTERFACE.SubSchermLocationDependent.Arena[ i ]:SetChecked(  GUPPET_MOUNTS["FastGroundMount"][ i ]["EnabledArena"] ); 
		GUPPET_INTERFACE.SubSchermLocationDependent.ArenaT[ i ]:SetText( GUPPET_MOUNTS["FastGroundMount"][ i ]["Name"]  ) ;
		
	
		t_i = i ;
	end	
	GUPPET_INTERFACE.SubSchermLocationDependent.Arena.Temp =  t_i ;
	
	
	if GUPPET_INTERFACE.SubSchermLocationDependent.Arena.Temp*15 > 137 then
		GUPPET_INTERFACE.SubSchermLocationDependent.Arena.Slider:SetMinMaxValues(0 , GUPPET_INTERFACE.SubSchermLocationDependent.Arena.Temp*15-137 );
		GUPPET_INTERFACE.SubSchermLocationDependent.Arena.Slider:SetValueStep(15) ;
		GUPPET_INTERFACE.SubSchermLocationDependent.Arena.Slider:SetValue(0);
		GUPPET_INTERFACE.SubSchermLocationDependent.Arena.Slider:Show() ;
	else
		GUPPET_INTERFACE.SubSchermLocationDependent.Arena.Slider:Hide()	;
	end
	
	
	
	
	
	
	for i = 1 , GUPPET_MOUNTS["FastGroundMount"]["Total"] do
				
		if (GUPPET_INTERFACE.Init == 0 or GUPPET_INTERFACE.SubSchermLocationDependent.BattleGround.Temp < i ) then 
			GUPPET_INTERFACE.SubSchermLocationDependent.BattleGround[ i ] = CreateFrame("CheckButton", "Knop_"  , GUPPET_INTERFACE.SubSchermLocationDependent.BattleGround.Frame, "OptionsCheckButtonTemplate");
			GUPPET_INTERFACE.SubSchermLocationDependent.BattleGround[ i ]:SetWidth(20); 
			GUPPET_INTERFACE.SubSchermLocationDependent.BattleGround[ i ]:SetHeight(20); 
			GUPPET_INTERFACE.SubSchermLocationDependent.BattleGround[ i ]:SetPoint("TOPLEFT", 0, 15 - (i*15));
			GUPPET_INTERFACE.SubSchermLocationDependent.BattleGround[ i ]:RegisterForClicks("AnyUp");
			GUPPET_INTERFACE.SubSchermLocationDependent.BattleGround[ i ]:SetScript("OnClick", function (self, button, down)    GupPetPanel_SetStatus( "FastGroundMount" , self:GetID() , self:GetChecked() , "EnabledBattleGround" , "TotalEnabledBattleGround" )  end);
		
				
			GUPPET_INTERFACE.SubSchermLocationDependent.BattleGroundT[ i ] = CreateFrame("SimpleHTML", "Tekst" , GUPPET_INTERFACE.SubSchermLocationDependent.BattleGround.Frame , "UIPanelButtonTemplate" );
			GUPPET_INTERFACE.SubSchermLocationDependent.BattleGroundT[ i ]:SetWidth(200); 
			GUPPET_INTERFACE.SubSchermLocationDependent.BattleGroundT[ i ]:SetHeight(20); 
			GUPPET_INTERFACE.SubSchermLocationDependent.BattleGroundT[ i ]:SetPoint("TOPLEFT", 20 , 11 - (i*15));
			GUPPET_INTERFACE.SubSchermLocationDependent.BattleGroundT[ i ]:SetFont('Fonts\\FRIZQT__.TTF', 10);
		end
		
		GUPPET_INTERFACE.SubSchermLocationDependent.BattleGround[ i ]:SetID(i);
		GUPPET_INTERFACE.SubSchermLocationDependent.BattleGround[ i ]:SetChecked(  GUPPET_MOUNTS["FastGroundMount"][ i ]["EnabledBattleGround"] ); 
		GUPPET_INTERFACE.SubSchermLocationDependent.BattleGroundT[ i ]:SetText( GUPPET_MOUNTS["FastGroundMount"][ i ]["Name"]  ) ;
		
	
		t_i = i ;
	end	
	GUPPET_INTERFACE.SubSchermLocationDependent.BattleGround.Temp =  t_i ;
	
	
	if GUPPET_INTERFACE.SubSchermLocationDependent.BattleGround.Temp*15 > 137 then
		GUPPET_INTERFACE.SubSchermLocationDependent.BattleGround.Slider:SetMinMaxValues(0 , GUPPET_INTERFACE.SubSchermLocationDependent.BattleGround.Temp*15-137 );
		GUPPET_INTERFACE.SubSchermLocationDependent.BattleGround.Slider:SetValueStep(15) ;
		GUPPET_INTERFACE.SubSchermLocationDependent.BattleGround.Slider:SetValue(0);
		GUPPET_INTERFACE.SubSchermLocationDependent.BattleGround.Slider:Show() ;
	else
		GUPPET_INTERFACE.SubSchermLocationDependent.BattleGround.Slider:Hide()	;
	end
	
	
	
	
	
	
	
	
	
	
	
	
	
	---		---		---		---
	if (GUPPET_INTERFACE.Init == 0 ) then
	
--		GUPPET_INTERFACE.MainScherm.cancel = function (self) GupPetOptionInterfaceDrag( false );   end;
--		GUPPET_INTERFACE.MainScherm.okay = function (self) GupPetOptionInterfaceDrag( false ); end;
		
		
	
		InterfaceOptions_AddCategory(GUPPET_INTERFACE.MainScherm);
				
		InterfaceOptions_AddCategory(GUPPET_INTERFACE.SubSchermGroundMounts);
		InterfaceOptions_AddCategory(GUPPET_INTERFACE.SubSchermFlyMounts);
		InterfaceOptions_AddCategory(GUPPET_INTERFACE.SubSchermLocationDependent);
		
		InterfaceOptions_AddCategory(GUPPET_INTERFACE.SubSchermCritters); 	
	
		
		
	end

	

	
	GupPet_Debug( "GupPetOptionInterface Start IngameInterface" );
	if (GUPPET_INTERFACE.Init == 0 ) then
		GUPPET_INTERFACE.MainUI = {} ;
		
		--Frame Voor te slepen
		GUPPET_INTERFACE.MainUI.Frame = CreateFrame("FRAME", "hdsgfsdf", UIParent);   
		
		
		GUPPET_INTERFACE.MainUI.Frame:SetWidth((64+3));
		GUPPET_INTERFACE.MainUI.Frame:SetHeight(32);
--		GUPPET_INTERFACE.MainUI.Frame:SetClampedToScreen( true ) ; 
		GUPPET_INTERFACE.MainUI.Frame:SetPoint( GUPPET_INTERFACEOPTIONS.MainUIFrameRelativePoint , GUPPET_INTERFACEOPTIONS.MainUIFramexOfs , GUPPET_INTERFACEOPTIONS.MainUIFrameyOfs);
			
		if GUPPET_INTERFACEOPTIONS.MainUIFrameShow == false then
			GUPPET_INTERFACE.MainUI.Frame:Hide() ;
		end
	
	
	
		GUPPET_INTERFACE.MainUI.buttonMount = CreateFrame("Button", "buttonMount", GUPPET_INTERFACE.MainUI.Frame , "GupPetActionTemplate");
		GUPPET_INTERFACE.MainUI.buttonMount:SetText("Mount");
		GUPPET_INTERFACE.MainUI.buttonMount:SetScript("OnClick", function (self, button, down) GupPet_AutoMount(); end) ;
		GUPPET_INTERFACE.MainUI.buttonMount:SetWidth(32 ); 
		GUPPET_INTERFACE.MainUI.buttonMount:SetHeight(32); 
		GUPPET_INTERFACE.MainUI.buttonMount:SetPoint("CENTER",-17.5,0);
		
		local q = GUPPET_INTERFACE.MainUI.buttonMount:CreateTexture(nil,"BACKGROUND") ;
		q:SetTexture("Interface\\Icons\\Ability_Mount_Drake_Azure.blp") ;
		q:SetAllPoints(GUPPET_INTERFACE.MainUI.buttonMount) ;
		GUPPET_INTERFACE.MainUI.buttonMount.texture = q ;
		
		
		

		
		GUPPET_INTERFACE.MainUI.buttonMount:SetScript("OnEnter", function(self, button, down)
	   
			GameTooltip:SetOwner(self, "ANCHOR_LEFT");
			GameTooltip:SetText(GUPPET_TEXT_UI_MOUNTGAMETOOLTIP);	
		end);

		GUPPET_INTERFACE.MainUI.buttonMount:SetScript("OnLeave", function()
			GameTooltip:Hide();
		end);
	
		GUPPET_INTERFACE.MainUI.buttonCritter = CreateFrame("Button", "buttonCritter", GUPPET_INTERFACE.MainUI.Frame , "GupPetActionTemplate"); 
		GUPPET_INTERFACE.MainUI.buttonCritter:SetText("Critter");
		GUPPET_INTERFACE.MainUI.buttonCritter:SetScript("OnClick", function (self, button, down) GupPet_CallCritter(); end) ;
		GUPPET_INTERFACE.MainUI.buttonCritter:SetWidth(32); 
		GUPPET_INTERFACE.MainUI.buttonCritter:SetHeight(32); 
		GUPPET_INTERFACE.MainUI.buttonCritter:SetPoint("CENTER",17.5,0);
	
		
		local t = GUPPET_INTERFACE.MainUI.buttonCritter:CreateTexture(nil,"BACKGROUND") ;
		t:SetTexture("Interface\\Icons\\INV_Box_PetCarrier_01.blp") ; --   --Ability_Mount_PolarBear_White
		t:SetAllPoints(GUPPET_INTERFACE.MainUI.buttonCritter) ;
		GUPPET_INTERFACE.MainUI.buttonCritter.texture = t ;
		


		
		
		GUPPET_INTERFACE.MainUI.buttonCritter:SetScript("OnEnter", function(self, button, down)
	   
			GameTooltip:SetOwner(self, "ANCHOR_LEFT");
			GameTooltip:SetText(GUPPET_TEXT_UI_CRITTERGAMETOOLTIP);	
		end);

		GUPPET_INTERFACE.MainUI.buttonCritter:SetScript("OnLeave", function()
			GameTooltip:Hide();
		end);
	
	
	
		-- Move Button
		GUPPET_INTERFACE.MainUI.buttonMove = CreateFrame("Button", "buttonMove", GUPPET_INTERFACE.MainUI.Frame , "UIPanelButtonTemplate"); 
		GUPPET_INTERFACE.MainUI.buttonMove:SetText("");
		GUPPET_INTERFACE.MainUI.buttonMove:SetWidth(10); 
		GUPPET_INTERFACE.MainUI.buttonMove:SetHeight(10); 
		
		GUPPET_INTERFACE.MainUI.buttonMove:Hide();
		GUPPET_INTERFACE.MainUI.buttonMove:SetScript("OnMouseDown", function(self, button, down)
	   
			GupPet_Debug( "GupPetOptionInterfaceDrag OnMouseDown" );
			GUPPET_INTERFACE.MainUI.Frame:StartMoving();
		
		end);

		GUPPET_INTERFACE.MainUI.buttonMove:SetScript("OnMouseUp", function(self, button, down)
	   
			GupPet_Debug( "GupPetOptionInterfaceDrag OnMouseUp" );
			GUPPET_INTERFACE.MainUI.Frame:StopMovingOrSizing() ;
		
			_, _, GUPPET_INTERFACEOPTIONS.MainUIFrameRelativePoint, GUPPET_INTERFACEOPTIONS.MainUIFramexOfs, GUPPET_INTERFACEOPTIONS.MainUIFrameyOfs = GUPPET_INTERFACE.MainUI.Frame:GetPoint()
			
			GupPet_Debug( "relativePoint: ".. GUPPET_INTERFACEOPTIONS.MainUIFrameRelativePoint );
			GupPet_Debug( "GupPetOptionInterfaceDrag X: ".. GUPPET_INTERFACEOPTIONS.MainUIFramexOfs );
			GupPet_Debug( "GupPetOptionInterfaceDrag Y: ".. GUPPET_INTERFACEOPTIONS.MainUIFrameyOfs );
		end);
		
		GupPetOptionInterfaceDrag( GUPPET_INTERFACEOPTIONS.MainUIFrameDrag ) ;
	end
		GUPPET_INTERFACE.MainUI.Frame:SetScale( GUPPET_INTERFACEOPTIONS.MainUIFrameScale );
		GUPPET_INTERFACE.MainUI.buttonMove:SetPoint("TOPLEFT",-10 ,10 );
		GUPPET_INTERFACE.MainUI.Frame:SetPoint( GUPPET_INTERFACEOPTIONS.MainUIFrameRelativePoint , GUPPET_INTERFACEOPTIONS.MainUIFramexOfs , GUPPET_INTERFACEOPTIONS.MainUIFrameyOfs);
	
	GupPet_Debug( "GupPetOptionInterface Passed IngameInterface" );
	
	GUPPET_INTERFACE.Init = 1 ;	
	GupPet_Debug( "GupPetOptionInterface End" );
end


function GupPet_ChangeIngameButtonIcon( MountIcon , CritterIcon  )

	GupPet_Debug( "GupPet_ChangeIngameMountButton Start" );

	local t = GUPPET_INTERFACE.MainUI.buttonCritter:CreateTexture(nil,"BACKGROUND") ;
	t:SetTexture( CritterIcon ) ; --   --Ability_Mount_PolarBear_White
	t:SetAllPoints(GUPPET_INTERFACE.MainUI.buttonCritter) ;
	GUPPET_INTERFACE.MainUI.buttonCritter.texture = t ;
	
	
	local r = GUPPET_INTERFACE.MainUI.buttonMount:CreateTexture(nil,"BACKGROUND") ;
	r:SetTexture( MountIcon ) ; --   --Ability_Mount_PolarBear_White
	r:SetAllPoints(GUPPET_INTERFACE.MainUI.buttonMount) ;
	GUPPET_INTERFACE.MainUI.buttonMount.texture = r ;

	GupPet_Debug( "GupPet_ChangeIngameMountButton Done" );
end


function GupPetOptionToggleMainUIFrameShow()

	if GUPPET_INTERFACEOPTIONS.MainUIFrameShow == true then
	
		GUPPET_INTERFACE.MainUI.Frame:Hide(); 
		GUPPET_INTERFACEOPTIONS.MainUIFrameShow=false ;
		GUPPET_INTERFACE.MainScherm.ToggleShow:SetText( GUPPET_TEXT_OPTIONUI_MAIN_SETSHOW );
	
	else
		GUPPET_INTERFACE.MainUI.Frame:Show(); 
		GUPPET_INTERFACEOPTIONS.MainUIFrameShow=true ;
		GUPPET_INTERFACE.MainScherm.ToggleShow:SetText( GUPPET_TEXT_OPTIONUI_MAIN_SETHIDE );
	end	
	
end

function GupPetOptionToggleMainUIFrameDrag()

		if GUPPET_INTERFACEOPTIONS.MainUIFrameDrag then
					
			GUPPET_INTERFACE.MainScherm.ToggleDrag:SetText( GUPPET_TEXT_OPTIONUI_MAIN_SETMOVABLE );
			GUPPET_INTERFACEOPTIONS.MainUIFrameDrag = false ;
			GupPetOptionInterfaceDrag(false);

		else
			GUPPET_INTERFACE.MainScherm.ToggleDrag:SetText( GUPPET_TEXT_OPTIONUI_MAIN_SETLOCK );
			
			GUPPET_INTERFACEOPTIONS.MainUIFrameDrag = true ;
			
			GupPetOptionInterfaceDrag(true);
		

		end		

end



function GupPetOptionInterfaceDrag( enable )

	GupPet_Debug( "GupPetOptionInterfaceDrag Start" );

	GUPPET_INTERFACE.MainUI.Frame:SetMovable( enable ) ;

	
	if enable then
	
		GUPPET_INTERFACE.MainUI.buttonMove:Show();
	else 
		GUPPET_INTERFACE.MainUI.buttonMove:Hide();
	end
	

	GupPet_Debug( "GupPetOptionInterfaceDrag End" );
end
